Reference Guide

Contents

Reference Guide#

Attention

🚧🛠️ Pardon Our Dust! 🛠️🚧

This collection of APIs is currently in BETA release. Changes are still actively being made and some of the documentation may be incomplete. While we work diligently, you might notice a few things out of place. Please excuse the temporary mess as we strive to improve our site.

👇 For now the links below will guide you to the current most up to date documentation. 👇

Introduction#

Welcome to Data Retriever .

Base URL#

https://dataretriever.melissadata.net

Licensing#

The License Key is a software key required to use the Cloud API. You will receive your License Key from your Melissa representative. If you don’t have a License Key, contact the Melissa sales team by Requesting a Demo or by calling 800-MELISSA ext. 3 (800-635-4772 ext. 3). Without a License Key this service will not function.

Endpoints#

MAK#

All MAK endpoints use the following buyable Columns.

  • MAK

Column Name

Type

Definition

MelissaAddressKey

bigint

10-digit unique key assigned to each address.

BaseMelissaAddressKey

bigint

Displays the parent Melissa Address Key of an address if it is a part of or within a building. Ex. Apartment

AddressLine

varchar(50)

Address line

Suite

varchar(20)

Suite

Urbanization

varchar(28)

Urbanization indicator

City

varchar(35)

City

State

char(2)

State

AddressKey

char(11)

Address key is a combination of a location’s ZIPCode + Plus4 + DeliveryPoint

BaseRecord

bit

Flag to indicate the address is a parent record.

ResultCodes

varchar(50)

Melissa result codes

AddressStreetNumber

varchar(10)

Address street number. Ex. ‘6450’

AddressDirectionPrefix

varchar(5)

Address directional prefix. Ex. ‘e’

AddressStreetName

varchar(40)

Street name. Ex. ‘Side’

AddressStreetSuffix

varchar(10)

Suffix of address. Ex. ‘Dr’

AddressDirectionSuffix

varchar(5)

Address directional suffix. Ex. ‘Ne’

AddressSuiteName

varchar(10)

Suite. Ex. ‘Apt’

AddressSuiteNumber

varchar(10)

Suite number. Ex. ‘Q’

AddressType

char(1)

Address type. Ex. P.O.Box or residential address

RBDI

char(1)

Business/residential indication

CommercialMailReceivingAgency

bit

U.S. Only. The address is a commercial mail receiving agency like a mailbox, etc. These addresses include a private mailbox (PMB or number).

County

varchar(100)

County name

CongressionalDistrict

varchar(3)

Federal congressional district number

CarrierRoute

varchar(4)

The carrier route for the location address as assigned by the USPS.

CityAbbreviation

varchar(13)

Alternative city name

FIPSCode

varchar(5)

The FIPSCode indicates the location of the address at both the state and county level.

Vacant

bit

Indicates whether an address is vacant

NeighborhoodName

varchar(100)

The name of a Neighborhood

ApartmentName

varchar(255)

The name of an apartment complex

NonUSPS

bit

US only. This US address is not serviced by the USPS but does exist and may receive mail through third party carriers.

PlaceCode

varchar(7)

Place identifier represented as State FIPS (2) + PlaceFIPS (5)

Latitude

decimal(18,6)

The latitude in decimal degrees using the WGS84 datum for the address

Longitude

decimal(18,6)

The longitude in decimal degrees using the WGS84 datum for the address

GeoLevel

varchar(1)

Geo level, see code table

CensusKey

varchar(16)

Census key is a 15 or 16-character key combination of the state FIPS code + county FIPS code + tract number + block number + block suffix. The Census key was created by the US Government to correctly identify, classify, and pull statistical data from areas across the United States.

CensusKeyDecennial

varchar(15)

Similar to the Census key, however, this key contains 15 characters and changes every 10 years. Fifteen-digit key that represents: State (2) + County (3) + Tract (6) + Block Group Number (4)

ElevationInMeters

decimal(18,2)

Elevation of the address from sea level in meters

POBoxStyleAddress

bit

PO Box Style Street Address

DropInd

bit

Mail is delivered to a single receptable at a site

Throwback

bit

Mail is not delivered to the street address

DeliveryDaysFlag

bit

Indicates that DeliveryDays contains data

NonDeliveryDaysFlag

bit

Indicates that NonDeliveryDays contains data

NoStatInd

bit

Address that has not yet become deliverable

DoorNotAccessible

bit

USPS cannot knock on a door to deliver mail

/web/V1/MAK/doCount#

Introduction#

This endpoint gets the total record count returned using the required and optional properties passed in. This endpoint does not count against the package usage.

Try It Now#
  • POST JSON
curl -X POST "https://dataretriever.melissadata.net/web/V1/MAK/doCount" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
    "CustomerID": "{{customerId}}",
    "Includes": {
      "Zips": [
        {"Zip": "92688"}
      ],
      "RBDI": ["B"]
    }
}'
Request Parameters#
  • POST JSON

Code

Description

CustomerID

The License Key issued by Melissa.

Includes

Any parameter you would like to include in the query. At least one from the Required list.

Excludes (Optional)

Any parameter you would like to exclude in the query.

  • POST JSON (Includes)

Code

Description

JSON

Zips (Required)

A list of Zips objects containing Zip codes and optionally Plus4.

"Zips": [
  {"Zip": "92688"},
  {"Zip": "92688", "Plus4": "2122"}
]

Cities (Required)

A list of cities objects each containing City and State.

"Cities": [
  {"City": "Rancho Santa Margarita", "State": "CA"}
]

Radius (Required)

A radius object containing a Latitude, Longitude, and Distance represented in miles.

"Radius": {
  "Latitude": 33.637654,
  "Longitude": -117.607075,
  "Distance": 2
}

ShapeWKTs (Required)

A list of polygon Shapes.

"ShapeWKTs": [
  "POLYGON(
    (-117.63908729625203 33.54947105992495,
    -117.64000192952611 33.54939952783131,
    -117.6398195393131 33.548657378865364,
    -117.63903901648976 33.54871326379859,
    -117.63885394406773 33.548791502644384,
    -117.63875202012517 33.54936823252172,
    -117.63908729625203 33.54947105992495),
    (-117.63959372373107 33.54874903013689,
    -117.63959372373107 33.549088809612265,
    -117.63967687221053 33.549088809612265,
    -117.63967419000151 33.549370467901376,
    -117.63947034211638 33.54937270328092,
    -117.63936841817382 33.549048572638874,
    -117.63941133351805 33.54875126553252,
    -117.63959372373107 33.54874903013689)
  )"
]

RBDI

An RBDI code.

"RBDI": ["B"]

POBoxStyleAddress

The status for POBoxStyleAddress

"POBoxStyleAddress": [null, false]

ZipIncludedIn3553

The status for ZipIncludedIn3553

"ZipIncludedIn3553": [true, null]

DropInd

The status for DropInd

"DropInd": [false, null]

Throwback

The status for Throwback

"Throwback": [false, null]

DeliveryDaysFlag

The status for DeliveryDaysFlag

"DeliveryDaysFlag": [true, null]

NonDeliveryDaysFlag

The status for NonDeliveryDaysFlag

"NonDeliveryDaysFlag": [false, null]

NoStatInd

The status for NoStatInd

"NoStatInd": [true, null]

NoSecureLocation

The status for NoSecureLocation

"NoSecureLocation": [false, true]

DoorNotAccessible

The status for DoorNotAccessible

"DoorNotAccessible": [false, true]

FalseTable

The status for FalseTable

"FalseTable": [false, null]

BaseRecord

The status for BaseRecord

"BaseRecord": [true, null]

ResultCodes

The ResultCodes to include

"ResultCodes": ["AS17"]

NonUSPS

The status for NonUSPS

"NonUSPS": [true, null]

GeoLevel

The status for GeoLevel

"GeoLevel": ["B", "5"]

CommercialMailReceivingAgency

The status for CommercialMailReceivingAgency

"CommercialMailReceivingAgency": [true, null]
  • POST JSON (Excludes)

Code

Description

JSON

Zips

A list of Zips objects containing Zip codes and optionally Plus4.

"Zips": [
  {"Zip": "92688"},
  {"Zip": "92688", "Plus4": "2122"}
]

Cities

A list of cities objects each containing City and State.

"Cities": [
  {"City": "Rancho Santa Margarita", "State": "CA"}
]

RBDI

An RBDI code.

"RBDI": ["B"]

POBoxStyleAddress

The status for POBoxStyleAddress

"POBoxStyleAddress": [null, false]

ZipIncludedIn3553

The status for ZipIncludedIn3553

"ZipIncludedIn3553": [true, null]

ZipIncludedIn3553

The status for ZipIncludedIn3553

"ZipIncludedIn3553": [true, null]

DropInd

The status for DropInd

"DropInd": [false, null]

Throwback

The status for Throwback

"Throwback": [false, null]

DeliveryDaysFlag

The status for DeliveryDaysFlag

"DeliveryDaysFlag": [true, null]

NonDeliveryDaysFlag

The status for NonDeliveryDaysFlag

"NonDeliveryDaysFlag": [false, null]

NoStatInd

The status for NoStatInd

"NoStatInd": [true, null]

NoSecureLocation

The status for NoSecureLocation

"NoSecureLocation": [false, true]

NoSecureLocation

The status for NoSecureLocation

"NoSecureLocation": [false, true]

DoorNotAccessible

The status for DoorNotAccessible

"DoorNotAccessible": [false, true]

FalseTable

The status for FalseTable

"FalseTable": [false, null]

BaseRecord

The status for BaseRecord

"BaseRecord": [true, null]

ResultCodes

The ResultCodes to include

"ResultCodes": ["AS17"]

NonUSPS

The status for NonUSPS

"NonUSPS": [true, null]

GeoLevel

The status for GeoLevel

"GeoLevel": ["B", "5"]

CommercialMailReceivingAgency

The status for CommercialMailReceivingAgency

"CommercialMailReceivingAgency": [true, null]
Headers#
  • POST JSON
Content-Type: application/json
Accept: application/json
Response#
  • POST JSON
{
  "Count": 930,
  "JobId": "returned_job_id",
  "ResultCode": "LS01"
}
Response Fields#

Output Name

Description

Count

Number of records returned by the query.

JobId

The JobId to be used to purchase and access the full dataset.

ResultCode

Success or Error codes based on the response/request.

/web/V1/MAK/doLookup#

Introduction#

This endpoint returns a paginated result view of the request. This can sometimes take awhile and should be used after DoCount has been used to filter down your dataset.

Try It Now#
  • POST JSON
curl -X POST "https://dataretriever.melissadata.net/web/V1/MAK/doLookup" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
     "CustomerID": "{{customerId}}",
     "Includes": {
       "Zips": [
         { "Zip": "92688" }
       ],
       "RBDI": ["B"]
     },
     "Columns": [
       "MelissaAddressKey",
       "AddressLine",
       "Suite"
     ],
     "Pagination": {
       "Page": 1
     },
     "OrderBy": [
       { "column": "MelissaAddressKey", "sortorder": "desc" }
     ]
 }'
Request Parameters#
  • POST JSON

Code

Description

CustomerID

The License Key issued by Melissa.

Includes

Any parameter you would like to include in the query. At least one from the Required list.

Excludes (Optional)

Any parameter you would like to exclude in the query.

Columns

All MAK Columns you want returned.

Pagination

Specify the desired page in the results to access. Pages are based on 100 records per page.

OrderBy (Optional)

Specify the desired column to order the responses by.

  • POST JSON (Includes)

Code

Description

JSON

Zips (Required)

A list of Zips objects containing Zip codes and optionally Plus4.

"Zips": [
  {"Zip": "92688"},
  {"Zip": "92688", "Plus4": "2122"}
]

Cities (Required)

A list of cities objects each containing City and State.

"Cities": [
  {"City": "Rancho Santa Margarita", "State": "CA"}
]

Radius (Required)

A radius object containing a Latitude, Longitude, and Distance represented in miles.

"Radius": {
  "Latitude": 33.637654,
  "Longitude": -117.607075,
  "Distance": 2
}

ShapeWKTs (Required)

A list of polygon Shapes.

"ShapeWKTs": [
  "POLYGON(
    (-117.63908729625203 33.54947105992495,
    -117.64000192952611 33.54939952783131,
    -117.6398195393131 33.548657378865364,
    -117.63903901648976 33.54871326379859,
    -117.63885394406773 33.548791502644384,
    -117.63875202012517 33.54936823252172,
    -117.63908729625203 33.54947105992495),
    (-117.63959372373107 33.54874903013689,
    -117.63959372373107 33.549088809612265,
    -117.63967687221053 33.549088809612265,
    -117.63967419000151 33.549370467901376,
    -117.63947034211638 33.54937270328092,
    -117.63936841817382 33.549048572638874,
    -117.63941133351805 33.54875126553252,
    -117.63959372373107 33.54874903013689)
  )"
]

RBDI

An RBDI code.

"RBDI": ["B"]

POBoxStyleAddress

The status for POBoxStyleAddress

"POBoxStyleAddress": [null, false]

ZipIncludedIn3553

The status for ZipIncludedIn3553

"ZipIncludedIn3553": [true, null]

DropInd

The status for DropInd

"DropInd": [false, null]

Throwback

The status for Throwback

"Throwback": [false, null]

DeliveryDaysFlag

The status for DeliveryDaysFlag

"DeliveryDaysFlag": [true, null]

NonDeliveryDaysFlag

The status for NonDeliveryDaysFlag

"NonDeliveryDaysFlag": [false, null]

NoStatInd

The status for NoStatInd

"NoStatInd": [true, null]

NoSecureLocation

The status for NoSecureLocation

"NoSecureLocation": [false, true]

DoorNotAccessible

The status for DoorNotAccessible

"DoorNotAccessible": [false, true]

FalseTable

The status for FalseTable

"FalseTable": [false, null]

BaseRecord

The status for BaseRecord

"BaseRecord": [true, null]

ResultCodes

The ResultCodes to include

"ResultCodes": ["AS17"]

NonUSPS

The status for NonUSPS

"NonUSPS": [true, null]

GeoLevel

The status for GeoLevel

"GeoLevel": ["B", "5"]

CommercialMailReceivingAgency

The status for CommercialMailReceivingAgency

"CommercialMailReceivingAgency": [true, null]
  • POST JSON (Excludes)

Code

Description

JSON

Zips

A list of Zips objects containing Zip codes and optionally Plus4.

"Zips": [
  {"Zip": "92688"},
  {"Zip": "92688", "Plus4": "2122"}
]

Cities

A list of cities objects each containing City and State.

"Cities": [
  {"City": "Rancho Santa Margarita", "State": "CA"}
]

RBDI

An RBDI code.

"RBDI": ["B"]

POBoxStyleAddress

The status for POBoxStyleAddress

"POBoxStyleAddress": [null, false]

ZipIncludedIn3553

The status for ZipIncludedIn3553

"ZipIncludedIn3553": [true, null]

DropInd

The status for DropInd

"DropInd": [false, null]

Throwback

The status for Throwback

"Throwback": [false, null]

DeliveryDaysFlag

The status for DeliveryDaysFlag

"DeliveryDaysFlag": [true, null]

NonDeliveryDaysFlag

The status for NonDeliveryDaysFlag

"NonDeliveryDaysFlag": [false, null]

NoStatInd

The status for NoStatInd

"NoStatInd": [true, null]

NoSecureLocation

The status for NoSecureLocation

"NoSecureLocation": [false, true]

DoorNotAccessible

The status for DoorNotAccessible

"DoorNotAccessible": [false, true]

FalseTable

The status for FalseTable

"FalseTable": [false, null]

BaseRecord

The status for BaseRecord

"BaseRecord": [true, null]

ResultCodes

The ResultCodes to include

"ResultCodes": ["AS17"]

NonUSPS

The status for NonUSPS

"NonUSPS": [true, null]

GeoLevel

The status for GeoLevel

"GeoLevel": ["B", "5"]

CommercialMailReceivingAgency

The status for CommercialMailReceivingAgency

"CommercialMailReceivingAgency": [true, null]
  • POST JSON (Pagination)

Code

Description

JSON

Page

The page number to access.

"Page": 1
Headers#
  • POST JSON
Content-Type: application/json
Accept: application/json
Response#
  • POST JSON
{
  "Count": 930,
  "Results": [
    {
      "MelissaAddressKey": 1007119866,
      "AddressLine": "29911 Aventura",
      "Suite": ""
    },
    {
      "MelissaAddressKey": 1008571286,
      "AddressLine": "22362 Gilberto",
      "Suite": "Ste 121"
    },
    {
      "MelissaAddressKey": 2009306238,
      "AddressLine": "22342 Avenida Empresa",
      "Suite": "Ste 220"
    }
  ],
  "Pagination": {
    "CurrentPage": 1,
    "NextPage": 2,
    "TotalPages": 9
  },
  "JobId": "returned_job_id",
  "ResultCode": "LS01"
}
Response Fields#

Output Name

Description

Count

Number of records returned by the query.

Results

Returned records with requested Columns.

Pagination

Paginated information.

CurrentPage

The current page number.

NextPage

The next page number.

TotalPages

The total number of pages available.

JobId

The JobId to be used to purchase and access the full dataset.

ResultCode

Success or Error codes based on the response/request.

/web/V1/MAK/getCount#

Introduction#

This endpoint allows API users to retrieve a count and 10 record sample of the results to preview before purchasing a file version of the full dataset.

Try It Now#
  • POST JSON
curl -X POST "https://dataretriever.melissadata.net/web/V1/MAK/getCount" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
   "CustomerID": "{{customerId}}",
   "Includes": {
     "Zips": [
       {"Zip": "92688"}
     ],
     "RBDI": ["B"]
   },
   "Columns": [
     "MelissaAddressKey",
     "AddressLine",
     "Suite"
   ],
   "OrderBy": [
     { "column": "MelissaAddressKey", "sortorder": "desc" }
   ]
}'
Request Parameters#
  • POST JSON

Code

Description

CustomerID

The License Key issued by Melissa.

Includes

Any parameter you would like to include in the query. At least one from the Required list.

Excludes (Optional)

Any parameter you would like to exclude in the query.

Columns

All MAK Columns you want returned.

OrderBy (Optional)

Specify the desired column to order the responses by.

  • POST JSON (Includes)

Code

Description

JSON

Zips (Required)

A list of Zips objects containing Zip codes and optionally Plus4.

"Zips": [
  {"Zip": "92688"},
  {"Zip": "92688", "Plus4": "2122"}
]

Cities (Required)

A list of cities objects each containing City and State.

"Cities": [
  {"City": "Rancho Santa Margarita", "State": "CA"}
]

Radius (Required)

A radius object containing a Latitude, Longitude, and Distance represented in miles.

"Radius": {
  "Latitude": 33.637654,
  "Longitude": -117.607075,
  "Distance": 2
}

ShapeWKTs (Required)

A list of polygon Shapes.

"ShapeWKTs": [
  "POLYGON(
    (-117.63908729625203 33.54947105992495,
    -117.64000192952611 33.54939952783131,
    -117.6398195393131 33.548657378865364,
    -117.63903901648976 33.54871326379859,
    -117.63885394406773 33.548791502644384,
    -117.63875202012517 33.54936823252172,
    -117.63908729625203 33.54947105992495),
    (-117.63959372373107 33.54874903013689,
    -117.63959372373107 33.549088809612265,
    -117.63967687221053 33.549088809612265,
    -117.63967419000151 33.549370467901376,
    -117.63947034211638 33.54937270328092,
    -117.63936841817382 33.549048572638874,
    -117.63941133351805 33.54875126553252,
    -117.63959372373107 33.54874903013689)
  )"
]

RBDI

An RBDI code.

"RBDI": ["B"]

POBoxStyleAddress

The status for POBoxStyleAddress

"POBoxStyleAddress": [null, false]

ZipIncludedIn3553

The status for ZipIncludedIn3553

"ZipIncludedIn3553": [true, null]

DropInd

The status for DropInd

"DropInd": [false, null]

Throwback

The status for Throwback

"Throwback": [false, null]

DeliveryDaysFlag

The status for DeliveryDaysFlag

"DeliveryDaysFlag": [true, null]

NonDeliveryDaysFlag

The status for NonDeliveryDaysFlag

"NonDeliveryDaysFlag": [false, null]

NoStatInd

The status for NoStatInd

"NoStatInd": [true, null]

NoSecureLocation

The status for NoSecureLocation

"NoSecureLocation": [false, true]

DoorNotAccessible

The status for DoorNotAccessible

"DoorNotAccessible": [false, true]

FalseTable

The status for FalseTable

"FalseTable": [false, null]

BaseRecord

The status for BaseRecord

"BaseRecord": [true, null]

ResultCodes

The ResultCodes to include

"ResultCodes": ["AS17"]

NonUSPS

The status for NonUSPS

"NonUSPS": [true, null]

GeoLevel

The status for GeoLevel

"GeoLevel": ["B", "5"]

CommercialMailReceivingAgency

The status for CommercialMailReceivingAgency

"CommercialMailReceivingAgency": [true, null]
  • POST JSON (Excludes)

Code

Description

JSON

Zips

A list of Zips objects containing Zip codes and optionally Plus4.

"Zips": [
  {"Zip": "92688"},
  {"Zip": "92688", "Plus4": "2122"}
]

Cities

A list of cities objects each containing City and State.

"Cities": [
  {"City": "Rancho Santa Margarita", "State": "CA"}
]

RBDI

An RBDI code.

"RBDI": ["B"]

POBoxStyleAddress

The status for POBoxStyleAddress

"POBoxStyleAddress": [null, false]

ZipIncludedIn3553

The status for ZipIncludedIn3553

"ZipIncludedIn3553": [true, null]

DropInd

The status for DropInd

"DropInd": [false, null]

Throwback

The status for Throwback

"Throwback": [false, null]

DeliveryDaysFlag

The status for DeliveryDaysFlag

"DeliveryDaysFlag": [true, null]

NonDeliveryDaysFlag

The status for NonDeliveryDaysFlag

"NonDeliveryDaysFlag": [false, null]

NoStatInd

The status for NoStatInd

"NoStatInd": [true, null]

NoSecureLocation

The status for NoSecureLocation

"NoSecureLocation": [false, true]

DoorNotAccessible

The status for DoorNotAccessible

"DoorNotAccessible": [false, true]

FalseTable

The status for FalseTable

"FalseTable": [false, null]

BaseRecord

The status for BaseRecord

"BaseRecord": [true, null]

ResultCodes

The ResultCodes to include

"ResultCodes": ["AS17"]

NonUSPS

The status for NonUSPS

"NonUSPS": [true, null]

GeoLevel

The status for GeoLevel

"GeoLevel": ["B", "5"]

CommercialMailReceivingAgency

The status for CommercialMailReceivingAgency

"CommercialMailReceivingAgency": [true, null]
Headers#
  • POST JSON
Content-Type: application/json
Accept: application/json
Response#
  • POST JSON
{
  "JobId": "returned_job_id",
  "Count": 930,
  "ResultCode": "LS01",
  "Sample": [
    {
      "MelissaAddressKey": 1008571286,
      "AddressLine": "22362 Gilberto",
      "Suite": "Ste 121"
    },
    {
      "MelissaAddressKey": 1010898855,
      "AddressLine": "23111 Antonio Pkwy",
      "Suite": ""
    },
    {
      "MelissaAddressKey": 1123819713,
      "AddressLine": "23181 Antonio Pkwy",
      "Suite": ""
    }
  ]
}
Response Fields#

Output Name

Description

JobId

The JobId to be used to purchase and access the full dataset.

Count

Number of records returned by the query.

ResultCode

Success or Error codes based on the response/request.

Sample

A 10 record sample response.

NewMovers#

All NewMovers Endpoints use the following buyable Columns. For more information on each column, please refer to New Movers Data Layout.

  • NewMovers

Column Name

Type

Definition

MelissaAddressKey

bigint

10-Digit Unique key Assigned to Each Address.

BaseMelissaAddressKey

bigint

Displays the parent Melissa Address Key of an address if it is a part of or within a building. Ex. Apartment

FullName

varchar(60)

Full Name

FirstName

varchar(50)

First Name

MiddleName

varchar(15)

Middle Name

LastName

varchar(50)

Last Name

AddressLine

varchar(50)

Address Line

City

varchar(28)

City

State

varchar(2)

State

ZIPCode

varchar(5)

ZIP Code

Plus4

varchar(4)

Plus4

AddressKey

varchar(11)

Address key is a combination of a location’s ZIPCode + Plus4 + DeliveryPoint

ResultCodes

varchar(100)

Melissa Result Codes

Latitude

decimal(18,6)

The Latitude in Decimal Degrees Using the Wgs84 Datum for the Address.

Longitude

decimal(18,6)

The Longitudein Decimal Degrees Using the Wgs84 Datum for the Address.

CensusKey

varchar(16)

Census key is a 15 or 16-character key combination of the state FIPS code + county FIPS code + tract number + block number + block suffix. The Census key was created by the US Government to correctly identify, classify, and pull statistical data from areas across the United States.

PreviousMelissaAddressKey

bigint

10-Digit Unique key Assigned to Each Address

PreviousBaseMelissaAddressKey

bigint

Displays the parent Melissa Address Key of an address if it is apart or within a building. Ex. Apartment

PreviousAddressLine

varchar(50)

Previous Address Line

PreviousSuite

varchar(50)

Previous Suite

PreviousCity

varchar(50)

Previous City

PreviousState

varchar(2)

Previous State

PreviousZIPCode

varchar(5)

Previous Zip Code

PreviousPlus4

varchar(4)

Previous Plus4

PreviousAddressKey

varchar(11)

Previous Addresskey

PreviousResultCodes

varchar(100)

Previous Melissa Result Codes

PreviousLatitude

decimal(18,6)

Previous Latitude

PreviousLongitude

decimal(18,6)

Previous Longitude

PhoneNumber

varchar(10)

Phone Number

MoveEffectiveDate

date

Effective Move Date

EstimatedHouseholdIncomeCode

varchar(2)

Estimated House Income

AgeOfHouseholdCode

int

Age Range of Household

EstimatedHousingValueCode

varchar(2)

Code for Estimated House Value

HomeownershipCode

int

The Probability of Home Ownership.

PresenceOfChildrenCode

int

The Probability of Children Being Present in the Home.

DwellingCodeSpecific

int

Dwelling Type of a Location. Refer to code definition for more insight.

MoveDistanceCode

MoveDistanceCode

The distance movers have moved from original locations.

/web/V1/NewMovers/doCount#

Introduction#

This endpoint gets the total record count returned using the required and optional properties passed in. This endpoint does not count against the package usage.

Try It Now#
  • POST JSON
curl -X POST "https://dataretriever.melissadata.net/web/V1/NewMovers/doCount" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
    "CustomerID": "{{customerId}}",
    "Includes": {
      "Zips": [
        {"Zip": "92688"}
      ],
      "MoveEffectiveDate": {
        "StartDate": "2023/01/01",
        "EndDate": "2024/01/01"
      }
    }
}'
Request Parameters#
  • POST JSON

Code

Description

CustomerID

The License Key issued by Melissa.

Includes

Any parameter you would like to include in the query. At least one from the Required list.

Excludes (Optional)

Any parameter you would like to exclude in the query.

  • POST JSON (Includes)

Code

Description

JSON

CensusKey (Required)

A list of Census Keys.

"CensusKey": ["060590885013012"]

Zips (Required)

A list of Zips objects containing Zip codes and optionally Plus4.

"Zips": [
   {"Zip": "92688", "Plus4": "2122"}
 ]

Cities (Required)

A list of cities objects each containing City and State.

"Cities": [
   {"City": "Rancho Santa Margarita", "State": "CA"}
 ]

Radius (Required)

A radius object containing a Latitude, Longitude, and Distance represented in miles.

"Radius": {
  "Latitude": 33.637654,
  "Longitude": -117.607075,
  "Distance": 2
}

ShapeWKTs (Required)

A list of polygon Shapes.

"ShapeWKTs": [
  "POLYGON(
    (-117.63908729625203 33.54947105992495,
    -117.64000192952611 33.54939952783131,
    -117.6398195393131 33.548657378865364,
    -117.63903901648976 33.54871326379859,
    -117.63885394406773 33.548791502644384,
    -117.63875202012517 33.54936823252172,
    -117.63908729625203 33.54947105992495),
    (-117.63959372373107 33.54874903013689,
    -117.63959372373107 33.549088809612265,
    -117.63967687221053 33.549088809612265,
    -117.63967419000151 33.549370467901376,
    -117.63947034211638 33.54937270328092,
    -117.63936841817382 33.549048572638874,
    -117.63941133351805 33.54875126553252,
    -117.63959372373107 33.54874903013689)
  )"
]

MelissaAddressKey

A list of Melissa Address Keys.

"MelissaAddressKey":["1022522181","3699370981"]

BaseMelissaAddressKey

A list of Base Melissa Address Keys.

"BaseMelissaAddressKey":["0","8782059379"]

FullName

A list of Full Names.

"FullName":["Ray Melissa"]

FirstName

A list of First Names.

"FirstName":["Ray"]

MiddleName

A list of Middle Names.

"MiddleName":["J"]

LastName

A list of Last Names.

"LastName":["Melissa"]

RBDI

An RBDI code.

"RBDI": ["B"]

AddressLines

A list of Address Lines.

"AddressLines": ["123 Main St"]

State

A list of States.

"State": ["CA"]

Plus4

A list of Plus4s.

"Plus4": ["2115", "2115"]

AddressKey

A list of Address Keys.

"AddressKey":["79927262700"]

ResultCodes

A list of Result Codes.

"ResultCodes":["AS01,GS05,PS01,PS08,PS10"]

Latitude

A list of Latitudes.

"Latitude": ["33.640495"]

Longitude

A list of Longitudes.

"Longitude": ["-117.603915"]

PreviousMelissaAddressKey

A list of Previous Melissa Address Keys.

"PreviousMelissaAddressKey":["7642903570"]

PreviousBaseMelissaAddressKey

A list of Previous Base Melissa Address Keys.

"PreviousBaseMelissaAddressKey":["1730591205"]

PreviousAddressLine

A list of Previous Address Lines.

"PreviousAddressLine": ["22382 Avenida Empresa"]

PreviousSuite

A list of Previous Suites.

"PreviousSuite": ["Apt 233"]

PreviousCities

A list of Previous Cities.

"PreviousCities": ["Rancho Santa Margarita"]

PreviousCountyName

A list of Previous County Names.

"PreviousCountyName": ["San Diego", "Orange", "Los Angeles"]

PreviousState

A list of Previous States.

"PreviousState": ["CA", "NV", "RI"]

PreviousZIPCode

A list of Previous ZIP Codes.

"PreviousZIPCode": ["92688"]

PreviousAddressKey

A list of Previous Address Keys.

"PreviousAddressKey": ["01801454649"]

PreviousPlus4

A list of Previous Plus4s.

"PreviousPlus4": ["2115"]

PreviousResultCodes

A list of Previous Result Codes.

"PreviousResultCodes": ["AS01"]

PreviousLatitude

A list of Previous Latitudes.

"PreviousLatitude": ["33.640495"]

PreviousLongitude

A list of Previous Longitudes.

"PreviousLongitude": ["-117.603915"]

PhoneNumber

A list of Phone Numbers.

"PhoneNumber": ["8006354772", "9498586226"]

MoveEffectiveDate

A date range with start and end dates.

"MoveEffectiveDate": {
  "StartDate": "2023/01/01",
  "EndDate": "2024/01/01"
}

EstimatedHouseholdIncomeCode

A list of Estimated Household Income Codes.

"EstimatedHouseholdIncomeCode":["00","01","02","03","04","05",
"06","07","08","09","10","11","12","13","14","15","16","17",
"18","19","20","21","22","23","24","25","26"]

AgeOfHouseholdCode

A list of Age Of Household Codes.

"AgeOfHouseholdCode": [0, 1, 2, 3]

EstimatedHousingValueCode

A list of Estimated Housing Value Codes.

"EstimatedHousingValueCode": ["00","01","02","03","04","05",
"06","07","08","09","10","11","12","13","14","15","16","17",
"18","19","20","21"]

HomeownershipCode

A list of Homeownership Codes.

"HomeownershipCode": [0, 1, 2, 3]

PresenceOfChildrenCode

A list of Presence Of Children Codes.

"PresenceOfChildrenCode": [0, 1, 2, 3]

DwellingCodeNormal

A list of Dwelling Code Normals.

"DwellingCodeNormal": ["AX"]

DwellingCodeSpecific

A list of Dwelling Specific Codes.

"DwellingCodeSpecific": [0, 1, 2, 3]

MoveDistanceCode

A list of Move Distance Codes.

"MoveDistanceCode": [0, 1, 2, 3]

ConstructionTypeCode

A list of Construction Type Codes.

"ConstructionTypeCode": ["B"]

MailResponsiveInd

An indicator of mail responsiveness at the address.

"MailResponsiveInd": [ true, null ]
  • POST JSON (Excludes)

Code

Description

JSON

CensusKey

A list of Census Keys.

"CensusKey": ["060590885013012"]

MelissaAddressKey

A list of Melissa Address Keys.

"MelissaAddressKey":["1022522181","3699370981"]

BaseMelissaAddressKey

A list of Base Melissa Address Keys.

"BaseMelissaAddressKey":["0","8782059379"]

FullName

A list of Full Names.

"FullName":["Ray Melissa"]

FirstName

A list of First Names.

"FirstName":["Ray"]

MiddleName

A list of Middle Names.

"MiddleName":["J"]

LastName

A list of Last Names.

"LastName":["Melissa"]

RBDI

An RBDI code.

"RBDI": ["B"]

AddressLines

A list of Address Lines.

"AddressLines": ["123 Main St"]

Cities

A list of cities objects each containing City and State.

"Cities": [
   {"City": "Rancho Santa Margarita", "State": "CA"}
 ]

State

A list of States.

"State": ["CA"]

Zips

A list of Zips objects containing Zip codes and optionally Plus4.

"Zips": [
  {"Zip": "92688", "Plus4": "2122"}
]

Plus4

A list of Plus4s.

"Plus4": ["2115", "2115"]

AddressKey

A list of Address Keys.

"AddressKey":["79927262700"]

ResultCodes

A list of Result npCodes.

"ResultCodes":["AS01,GS05,PS01,PS08,PS10"]

Latitude

A list of Latitudes.

"Latitude": ["33.640495"]

Longitude

A list of Longitudes.

"Longitude": ["-117.603915"]

PreviousMelissaAddressKey

A list of Previous Melissa Address Keys.

"PreviousMelissaAddressKey":["7642903570"]

PreviousBaseMelissaAddressKey

A list of Previous Base Melissa Address Keys.

"PreviousBaseMelissaAddressKey":["1730591205"]

PreviousAddressLine

A list of Previous Address Lines.

"PreviousAddressLine": ["22382 Avenida Empresa"]

PreviousSuite

A list of Previous Suites.

"PreviousSuite": ["Apt 233"]

PreviousCities

A list of Previous Cities.

"PreviousCities": ["Rancho Santa Margarita"]

PreviousCountyName

A list of Previous County Names.

"PreviousCountyName": ["San Diego", "Orange", "Los Angeles"]

PreviousState

A list of Previous States.

"PreviousState": ["CA", "NV", "RI"]

PreviousZIPCode

A list of Previous ZIP Codes.

"PreviousZIPCode": ["92688"]

PreviousAddressKey

A list of Previous Address Keys.

"PreviousAddressKey": ["01801454649"]

PreviousPlus4

A list of Previous Plus4s.

"PreviousPlus4": ["2115"]

PreviousResultCodes

A list of Previous Result Codes.

"PreviousResultCodes": ["AS01"]

PreviousLatitude

A list of Previous Latitudes.

"PreviousLatitude": ["33.640495"]

PreviousLongitude

A list of Previous Longitudes.

"PreviousLongitude": ["-117.603915"]

PhoneNumber

A list of Phone Numbers.

"PhoneNumber": ["8006354772", "9498586226"]

MoveEffectiveDate

A date range with start and end dates.

"MoveEffectiveDate": {
  "StartDate": "2023/01/01",
  "EndDate": "2024/01/01"
}

EstimatedHouseholdIncomeCode

A list of Estimated Household Income Codes.

"EstimatedHouseholdIncomeCode":["00","01","02","03","04","05",
"06","07","08","09","10","11","12","13","14","15","16","17",
"18","19","20","21","22","23","24","25","26"]

AgeOfHouseholdCode

A list of Age Of Household Codes.

"AgeOfHouseholdCode": [0, 1, 2, 3]

EstimatedHousingValueCode

A list of Estimated Housing Value Codes.

"EstimatedHousingValueCode": ["00","01","02","03","04","05",
"06","07","08","09","10","11","12","13","14","15","16","17",
"18","19","20","21"]

HomeownershipCode

A list of Homeownership Codes.

"HomeownershipCode": [0, 1, 2, 3]

PresenceOfChildrenCode

A list of Presence Of Children Codes.

"PresenceOfChildrenCode": [0, 1, 2, 3]

DwellingCodeNormal

A list of Dwelling Code Normals.

"DwellingCodeNormal": ["AX"]

DwellingCodeSpecific

A list of Dwelling Specific Codes.

"DwellingCodeSpecific": [0, 1, 2, 3]

MoveDistanceCode

A list of Move Distance Codes.

"MoveDistanceCode": [0, 1, 2, 3]

ConstructionTypeCode

A list of Construction Type Codes.

"ConstructionTypeCode": ["B"]

MailResponsiveInd

An indicator of mail responsiveness at the address.

"MailResponsiveInd": [ true, null ]
Headers#
  • POST JSON
Content-Type: application/json
Accept: application/json
Response#
  • POST JSON
{
  "Count": 370,
  "JobId": "returned_job_id",
  "ResultCode": "LS01"
}
Response Fields#

Output Name

Description

Count

Number of records returned by the query.

JobId

The JobId to be used to purchase and access the full dataset.

ResultCode

Success or Error codes based on the response/request.

/web/V1/NewMovers/doLookup#

Introduction#

This endpoint returns a paginated result view of the request. This can sometimes take awhile and should be used after DoCount has been used to filter down your dataset.

Try It Now#
  • POST JSON
curl -X POST "https://dataretriever.melissadata.net/web/V1/NewMovers/doLookup" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
    "CustomerID": "{{customerId}}",
    "Includes": {
      "Zips": [
        {"Zip": "92688"}
      ],
      "MoveEffectiveDate": {
        "StartDate": "2023/01/01",
        "EndDate": "2024/01/01"
      }
    },
    "Columns": [
      "MelissaAddressKey",
      "AddressLine",
      "PreviousAddressLine"
    ],
    "Pagination": {
      "Page": 1
    },
    "OrderBy": [
      { "column": "MelissaAddressKey", "sortorder": "desc" }
    ]
}'
Request Parameters#
  • POST JSON

Code

Description

CustomerID

The License Key issued by Melissa.

Includes

Any parameter you would like to include in the query. At least one from the Required list.

Excludes (Optional)

Any parameter you would like to exclude in the query.

Columns

All NewMovers Columns you want returned.

Pagination

Specify the desired page in the results to access. Pages are based on 100 records per page.

OrderBy (Optional)

Specify the desired column to order the responses by.

  • POST JSON (Includes)

Code

Description

JSON

CensusKey (Required)

A list of Census Keys.

"CensusKey": ["060590885013012"]

Zips (Required)

A list of Zips objects containing Zip codes and optionally Plus4.

"Zips": [
   {"Zip": "92688", "Plus4": "2122"}
 ]

Cities (Required)

A list of cities objects each containing City and State.

"Cities": [
   {"City": "Rancho Santa Margarita", "State": "CA"}
 ]

Radius (Required)

A radius object containing a Latitude, Longitude, and Distance represented in miles.

"Radius": {
  "Latitude": 33.637654,
  "Longitude": -117.607075,
  "Distance": 2
}

ShapeWKTs (Required)

A list of polygon Shapes.

"ShapeWKTs": [
  "POLYGON(
    (-117.63908729625203 33.54947105992495,
    -117.64000192952611 33.54939952783131,
    -117.6398195393131 33.548657378865364,
    -117.63903901648976 33.54871326379859,
    -117.63885394406773 33.548791502644384,
    -117.63875202012517 33.54936823252172,
    -117.63908729625203 33.54947105992495),
    (-117.63959372373107 33.54874903013689,
    -117.63959372373107 33.549088809612265,
    -117.63967687221053 33.549088809612265,
    -117.63967419000151 33.549370467901376,
    -117.63947034211638 33.54937270328092,
    -117.63936841817382 33.549048572638874,
    -117.63941133351805 33.54875126553252,
    -117.63959372373107 33.54874903013689)
  )"
]

MelissaAddressKey

A list of Melissa Address Keys.

"MelissaAddressKey":["1022522181","3699370981"]

BaseMelissaAddressKey

A list of Base Melissa Address Keys.

"BaseMelissaAddressKey":["0","8782059379"]

FullName

A list of Full Names.

"FullName":["Ray Melissa"]

FirstName

A list of First Names.

"FirstName":["Ray"]

MiddleName

A list of Middle Names.

"MiddleName":["J"]

LastName

A list of Last Names.

"LastName":["Melissa"]

RBDI

An RBDI code.

"RBDI": ["B"]

AddressLines

A list of Address Lines.

"AddressLines": ["123 Main St"]

State

A list of States.

"State": ["CA"]

Plus4

A list of Plus4s.

"Plus4": ["2115", "2115"]

AddressKey

A list of Address Keys.

"AddressKey":["79927262700"]

ResultCodes

A list of Result Codes.

"ResultCodes":["AS01,GS05,PS01,PS08,PS10"]

Latitude

A list of Latitudes.

"Latitude": ["33.640495"]

Longitude

A list of Longitudes.

"Longitude": ["-117.603915"]

PreviousMelissaAddressKey

A list of Previous Melissa Address Keys.

"PreviousMelissaAddressKey":["7642903570"]

PreviousBaseMelissaAddressKey

A list of Previous Base Melissa Address Keys.

"PreviousBaseMelissaAddressKey":["1730591205"]

PreviousAddressLine

A list of Previous Address Lines.

"PreviousAddressLine": ["22382 Avenida Empresa"]

PreviousSuite

A list of Previous Suites.

"PreviousSuite": ["Apt 233"]

PreviousCities

A list of Previous Cities.

"PreviousCities": ["Rancho Santa Margarita"]

PreviousCountyName

A list of Previous County Names.

"PreviousCountyName": ["San Diego", "Orange", "Los Angeles"]

PreviousState

A list of Previous States.

"PreviousState": ["CA", "NV", "RI"]

PreviousZIPCode

A list of Previous ZIP Codes.

"PreviousZIPCode": ["92688"]

PreviousAddressKey

A list of Previous Address Keys.

"PreviousAddressKey": ["01801454649"]

PreviousPlus4

A list of Previous Plus4s.

"PreviousPlus4": ["2115"]

PreviousResultCodes

A list of Previous Result Codes.

"PreviousResultCodes": ["AS01"]

PreviousLatitude

A list of Previous Latitudes.

"PreviousLatitude": ["33.640495"]

PreviousLongitude

A list of Previous Longitudes.

"PreviousLongitude": ["-117.603915"]

PhoneNumber

A list of Phone Numbers.

"PhoneNumber": ["8006354772", "9498586226"]

MoveEffectiveDate

A date range with start and end dates.

"MoveEffectiveDate": {
  "StartDate": "2023/01/01",
  "EndDate": "2024/01/01"
}

EstimatedHouseholdIncomeCode

A list of Estimated Household Income Codes.

"EstimatedHouseholdIncomeCode":["00","01","02","03","04","05",
"06","07","08","09","10","11","12","13","14","15","16","17",
"18","19","20","21","22","23","24","25","26"]

AgeOfHouseholdCode

A list of Age Of Household Codes.

"AgeOfHouseholdCode": [0, 1, 2, 3]

EstimatedHousingValueCode

A list of Estimated Housing Value Codes.

"EstimatedHousingValueCode": ["00","01","02","03","04","05",
"06","07","08","09","10","11","12","13","14","15","16","17",
"18","19","20","21"]

HomeownershipCode

A list of Homeownership Codes.

"HomeownershipCode": [0, 1, 2, 3]

PresenceOfChildrenCode

A list of Presence Of Children Codes.

"PresenceOfChildrenCode": [0, 1, 2, 3]

DwellingCodeNormal

A list of Dwelling Code Normals.

"DwellingCodeNormal": ["AX"]

DwellingCodeSpecific

A list of Dwelling Specific Codes.

"DwellingCodeSpecific": [0, 1, 2, 3]

MoveDistanceCode

A list of Move Distance Codes.

"MoveDistanceCode": [0, 1, 2, 3]

ConstructionTypeCode

A list of Construction Type Codes.

"ConstructionTypeCode": ["B"]

MailResponsiveInd

An indicator of mail responsiveness at the address.

"MailResponsiveInd": [ true, null ]
  • POST JSON (Excludes)

Code

Description

JSON

CensusKey

A list of Census Keys.

"CensusKey": ["060590885013012"]

MelissaAddressKey

A list of Melissa Address Keys.

"MelissaAddressKey":["1022522181","3699370981"]

BaseMelissaAddressKey

A list of Base Melissa Address Keys.

"BaseMelissaAddressKey":["0","8782059379"]

FullName

A list of Full Names.

"FullName":["Ray Melissa"]

FirstName

A list of First Names.

"FirstName":["Ray"]

MiddleName

A list of Middle Names.

"MiddleName":["J"]

LastName

A list of Last Names.

"LastName":["Melissa"]

RBDI

An RBDI code.

"RBDI": ["B"]

AddressLines

A list of Address Lines.

"AddressLines": ["123 Main St"]

Cities

A list of cities objects each containing City and State.

"Cities": [
   {"City": "Rancho Santa Margarita", "State": "CA"}
 ]

State

A list of States.

"State": ["CA"]

Zips

A list of Zips objects containing Zip codes and optionally Plus4.

"Zips": [
  {"Zip": "92688", "Plus4": "2122"}
]

Plus4

A list of Plus4s.

"Plus4": ["2115", "2115"]

AddressKey

A list of Address Keys.

"AddressKey":["79927262700"]

ResultCodes

A list of Result npCodes.

"ResultCodes":["AS01,GS05,PS01,PS08,PS10"]

Latitude

A list of Latitudes.

"Latitude": ["33.640495"]

Longitude

A list of Longitudes.

"Longitude": ["-117.603915"]

PreviousMelissaAddressKey

A list of Previous Melissa Address Keys.

"PreviousMelissaAddressKey":["7642903570"]

PreviousBaseMelissaAddressKey

A list of Previous Base Melissa Address Keys.

"PreviousBaseMelissaAddressKey":["1730591205"]

PreviousAddressLine

A list of Previous Address Lines.

"PreviousAddressLine": ["22382 Avenida Empresa"]

PreviousSuite

A list of Previous Suites.

"PreviousSuite": ["Apt 233"]

PreviousCities

A list of Previous Cities.

"PreviousCities": ["Rancho Santa Margarita"]

PreviousCountyName

A list of Previous County Names.

"PreviousCountyName": ["San Diego", "Orange", "Los Angeles"]

PreviousState

A list of Previous States.

"PreviousState": ["CA", "NV", "RI"]

PreviousZIPCode

A list of Previous ZIP Codes.

"PreviousZIPCode": ["92688"]

PreviousAddressKey

A list of Previous Address Keys.

"PreviousAddressKey": ["01801454649"]

PreviousPlus4

A list of Previous Plus4s.

"PreviousPlus4": ["2115"]

PreviousResultCodes

A list of Previous Result Codes.

"PreviousResultCodes": ["AS01"]

PreviousLatitude

A list of Previous Latitudes.

"PreviousLatitude": ["33.640495"]

PreviousLongitude

A list of Previous Longitudes.

"PreviousLongitude": ["-117.603915"]

PhoneNumber

A list of Phone Numbers.

"PhoneNumber": ["8006354772", "9498586226"]

MoveEffectiveDate

A date range with start and end dates.

"MoveEffectiveDate": {
  "StartDate": "2023/01/01",
  "EndDate": "2024/01/01"
}

EstimatedHouseholdIncomeCode

A list of Estimated Household Income Codes.

"EstimatedHouseholdIncomeCode":["00","01","02","03","04","05",
"06","07","08","09","10","11","12","13","14","15","16","17",
"18","19","20","21","22","23","24","25","26"]

AgeOfHouseholdCode

A list of Age Of Household Codes.

"AgeOfHouseholdCode": [0, 1, 2, 3]

EstimatedHousingValueCode

A list of Estimated Housing Value Codes.

"EstimatedHousingValueCode": ["00","01","02","03","04","05",
"06","07","08","09","10","11","12","13","14","15","16","17",
"18","19","20","21"]

HomeownershipCode

A list of Homeownership Codes.

"HomeownershipCode": [0, 1, 2, 3]

PresenceOfChildrenCode

A list of Presence Of Children Codes.

"PresenceOfChildrenCode": [0, 1, 2, 3]

DwellingCodeNormal

A list of Dwelling Code Normals.

"DwellingCodeNormal": ["AX"]

DwellingCodeSpecific

A list of Dwelling Specific Codes.

"DwellingCodeSpecific": [0, 1, 2, 3]

MoveDistanceCode

A list of Move Distance Codes.

"MoveDistanceCode": [0, 1, 2, 3]

ConstructionTypeCode

A list of Construction Type Codes.

"ConstructionTypeCode": ["B"]

MailResponsiveInd

An indicator of mail responsiveness at the address.

"MailResponsiveInd": [ true, null ]
  • POST JSON (Pagination)

Code

Description

JSON

Page

The page number to access.

"Page": 1
Headers#
  • POST JSON
Content-Type: application/json
Accept: application/json
Response#
  • POST JSON
{
  "Count": 370,
  "Results": [
    {
        "MelissaAddressKey": 1005797685,
        "AddressLine": "35 Pinzon",
        "PreviousAddressLine": ""
    },
    {
        "MelissaAddressKey": 1005797685,
        "AddressLine": "35 Pinzon",
        "PreviousAddressLine": "17136 E Roadrunner Rd"
    },
    {
        "MelissaAddressKey": 3513560832,
        "AddressLine": "117 Montana Del Lago Dr",
        "PreviousAddressLine": "2490 Electric Ave"
    }
  ],
  "Pagination": {
    "CurrentPage": 1,
    "NextPage": 2,
    "TotalPages": 3
  },
  "JobId": "returned_job_id",
  "ResultCode": "LS01"
}
Response Fields#

Output Name

Description

Count

Number of records returned by the query.

Results

The returned records with requested columns. 100 records per page.

Pagination

Paginated information.

CurrentPage

The current page number.

NextPage

The next page number.

TotalPages

The total number of pages available.

JobId

The JobId to be used to purchase and access the full dataset.

ResultCode

Success or Error codes based on the response/request.

/web/V1/NewMovers/getCount#

Introduction#

This endpoint allows API users to retrieve a count and 10 record sample of the results to preview before purchasing a file version of the full dataset.

Try It Now#
  • POST JSON
curl -X POST "https://dataretriever.melissadata.net/web/V1/NewMovers/getCount" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
      "CustomerID": "{{customerId}}",
      "Includes": {
        "Zips": [
          {"Zip": "92688"}
        ],
        "MoveEffectiveDate": {
          "StartDate": "2023-01-01",
          "EndDate": "2023-12-31"
        }
      },
      "Columns": [
        "MelissaAddressKey",
        "AddressLine",
        "PreviousAddressLine"
      ],
      "OrderBy": [
        { "column": "MelissaAddressKey", "sortorder": "desc" }
      ]
}'
Request Parameters#
  • POST JSON

Code

Description

CustomerID

The License Key issued by Melissa.

Includes

Any parameter you would like to include in the query. At least one from the Required list.

Excludes (Optional)

Any parameter you would like to exclude in the query.

Columns

All NewMovers Columns you want returned.

OrderBy (Optional)

Specify the desired column to order the responses by.

  • POST JSON (Includes)

Code

Description

JSON

CensusKey (Required)

A list of Census Keys.

"CensusKey": ["060590885013012"]

Zips (Required)

A list of Zips objects containing Zip codes and optionally Plus4.

"Zips": [
   {"Zip": "92688", "Plus4": "2122"}
 ]

Cities (Required)

A list of cities objects each containing City and State.

"Cities": [
   {"City": "Rancho Santa Margarita", "State": "CA"}
 ]

Radius (Required)

A radius object containing a Latitude, Longitude, and Distance represented in miles.

"Radius": {
  "Latitude": 33.637654,
  "Longitude": -117.607075,
  "Distance": 2
}

ShapeWKTs (Required)

A list of polygon Shapes.

"ShapeWKTs": [
  "POLYGON(
    (-117.63908729625203 33.54947105992495,
    -117.64000192952611 33.54939952783131,
    -117.6398195393131 33.548657378865364,
    -117.63903901648976 33.54871326379859,
    -117.63885394406773 33.548791502644384,
    -117.63875202012517 33.54936823252172,
    -117.63908729625203 33.54947105992495),
    (-117.63959372373107 33.54874903013689,
    -117.63959372373107 33.549088809612265,
    -117.63967687221053 33.549088809612265,
    -117.63967419000151 33.549370467901376,
    -117.63947034211638 33.54937270328092,
    -117.63936841817382 33.549048572638874,
    -117.63941133351805 33.54875126553252,
    -117.63959372373107 33.54874903013689)
  )"
]

MelissaAddressKey

A list of Melissa Address Keys.

"MelissaAddressKey":["1022522181","3699370981"]

BaseMelissaAddressKey

A list of Base Melissa Address Keys.

"BaseMelissaAddressKey":["0","8782059379"]

FullName

A list of Full Names.

"FullName":["Ray Melissa"]

FirstName

A list of First Names.

"FirstName":["Ray"]

MiddleName

A list of Middle Names.

"MiddleName":["J"]

LastName

A list of Last Names.

"LastName":["Melissa"]

RBDI

An RBDI code.

"RBDI": ["B"]

AddressLines

A list of Address Lines.

"AddressLines": ["123 Main St"]

State

A list of States.

"State": ["CA"]

Plus4

A list of Plus4s.

"Plus4": ["2115", "2115"]

AddressKey

A list of Address Keys.

"AddressKey":["79927262700"]

ResultCodes

A list of Result Codes.

"ResultCodes":["AS01,GS05,PS01,PS08,PS10"]

Latitude

A list of Latitudes.

"Latitude": ["33.640495"]

Longitude

A list of Longitudes.

"Longitude": ["-117.603915"]

PreviousMelissaAddressKey

A list of Previous Melissa Address Keys.

"PreviousMelissaAddressKey":["7642903570"]

PreviousBaseMelissaAddressKey

A list of Previous Base Melissa Address Keys.

"PreviousBaseMelissaAddressKey":["1730591205"]

PreviousAddressLine

A list of Previous Address Lines.

"PreviousAddressLine": ["22382 Avenida Empresa"]

PreviousSuite

A list of Previous Suites.

"PreviousSuite": ["Apt 233"]

PreviousCities

A list of Previous Cities.

"PreviousCities": ["Rancho Santa Margarita"]

PreviousCountyName

A list of Previous County Names.

"PreviousCountyName": ["San Diego", "Orange", "Los Angeles"]

PreviousState

A list of Previous States.

"PreviousState": ["CA", "NV", "RI"]

PreviousZIPCode

A list of Previous ZIP Codes.

"PreviousZIPCode": ["92688"]

PreviousAddressKey

A list of Previous Address Keys.

"PreviousAddressKey": ["01801454649"]

PreviousPlus4

A list of Previous Plus4s.

"PreviousPlus4": ["2115"]

PreviousResultCodes

A list of Previous Result Codes.

"PreviousResultCodes": ["AS01"]

PreviousLatitude

A list of Previous Latitudes.

"PreviousLatitude": ["33.640495"]

PreviousLongitude

A list of Previous Longitudes.

"PreviousLongitude": ["-117.603915"]

PhoneNumber

A list of Phone Numbers.

"PhoneNumber": ["8006354772", "9498586226"]

MoveEffectiveDate

A date range with start and end dates.

"MoveEffectiveDate": {
  "StartDate": "2023/01/01",
  "EndDate": "2024/01/01"
}

EstimatedHouseholdIncomeCode

A list of Estimated Household Income Codes.

"EstimatedHouseholdIncomeCode":["00","01","02","03","04","05",
"06","07","08","09","10","11","12","13","14","15","16","17",
"18","19","20","21","22","23","24","25","26"]

AgeOfHouseholdCode

A list of Age Of Household Codes.

"AgeOfHouseholdCode": [0, 1, 2, 3]

EstimatedHousingValueCode

A list of Estimated Housing Value Codes.

"EstimatedHousingValueCode": ["00","01","02","03","04","05",
"06","07","08","09","10","11","12","13","14","15","16","17",
"18","19","20","21"]

HomeownershipCode

A list of Homeownership Codes.

"HomeownershipCode": [0, 1, 2, 3]

PresenceOfChildrenCode

A list of Presence Of Children Codes.

"PresenceOfChildrenCode": [0, 1, 2, 3]

DwellingCodeNormal

A list of Dwelling Code Normals.

"DwellingCodeNormal": ["AX"]

DwellingCodeSpecific

A list of Dwelling Specific Codes.

"DwellingCodeSpecific": [0, 1, 2, 3]

MoveDistanceCode

A list of Move Distance Codes.

"MoveDistanceCode": [0, 1, 2, 3]

ConstructionTypeCode

A list of Construction Type Codes.

"ConstructionTypeCode": ["B"]

MailResponsiveInd

An indicator of mail responsiveness at the address.

"MailResponsiveInd": [ true, null ]
  • POST JSON (Excludes)

Code

Description

JSON

CensusKey

A list of Census Keys.

"CensusKey": ["060590885013012"]

MelissaAddressKey

A list of Melissa Address Keys.

"MelissaAddressKey":["1022522181","3699370981"]

BaseMelissaAddressKey

A list of Base Melissa Address Keys.

"BaseMelissaAddressKey":["0","8782059379"]

FullName

A list of Full Names.

"FullName":["Ray Melissa"]

FirstName

A list of First Names.

"FirstName":["Ray"]

MiddleName

A list of Middle Names.

"MiddleName":["J"]

LastName

A list of Last Names.

"LastName":["Melissa"]

RBDI

An RBDI code.

"RBDI": ["B"]

AddressLines

A list of Address Lines.

"AddressLines": ["123 Main St"]

Cities

A list of cities objects each containing City and State.

"Cities": [
   {"City": "Rancho Santa Margarita", "State": "CA"}
 ]

State

A list of States.

"State": ["CA"]

Zips

A list of Zips objects containing Zip codes and optionally Plus4.

"Zips": [
  {"Zip": "92688", "Plus4": "2122"}
]

Plus4

A list of Plus4s.

"Plus4": ["2115", "2115"]

AddressKey

A list of Address Keys.

"AddressKey":["79927262700"]

ResultCodes

A list of Result npCodes.

"ResultCodes":["AS01,GS05,PS01,PS08,PS10"]

Latitude

A list of Latitudes.

"Latitude": ["33.640495"]

Longitude

A list of Longitudes.

"Longitude": ["-117.603915"]

PreviousMelissaAddressKey

A list of Previous Melissa Address Keys.

"PreviousMelissaAddressKey":["7642903570"]

PreviousBaseMelissaAddressKey

A list of Previous Base Melissa Address Keys.

"PreviousBaseMelissaAddressKey":["1730591205"]

PreviousAddressLine

A list of Previous Address Lines.

"PreviousAddressLine": ["22382 Avenida Empresa"]

PreviousSuite

A list of Previous Suites.

"PreviousSuite": ["Apt 233"]

PreviousCities

A list of Previous Cities.

"PreviousCities": ["Rancho Santa Margarita"]

PreviousCountyName

A list of Previous County Names.

"PreviousCountyName": ["San Diego", "Orange", "Los Angeles"]

PreviousState

A list of Previous States.

"PreviousState": ["CA", "NV", "RI"]

PreviousZIPCode

A list of Previous ZIP Codes.

"PreviousZIPCode": ["92688"]

PreviousAddressKey

A list of Previous Address Keys.

"PreviousAddressKey": ["01801454649"]

PreviousPlus4

A list of Previous Plus4s.

"PreviousPlus4": ["2115"]

PreviousResultCodes

A list of Previous Result Codes.

"PreviousResultCodes": ["AS01"]

PreviousLatitude

A list of Previous Latitudes.

"PreviousLatitude": ["33.640495"]

PreviousLongitude

A list of Previous Longitudes.

"PreviousLongitude": ["-117.603915"]

PhoneNumber

A list of Phone Numbers.

"PhoneNumber": ["8006354772", "9498586226"]

MoveEffectiveDate

A date range with start and end dates.

"MoveEffectiveDate": {
  "StartDate": "2023/01/01",
  "EndDate": "2024/01/01"
}

EstimatedHouseholdIncomeCode

A list of Estimated Household Income Codes.

"EstimatedHouseholdIncomeCode":["00","01","02","03","04","05",
"06","07","08","09","10","11","12","13","14","15","16","17",
"18","19","20","21","22","23","24","25","26"]

AgeOfHouseholdCode

A list of Age Of Household Codes.

"AgeOfHouseholdCode": [0, 1, 2, 3]

EstimatedHousingValueCode

A list of Estimated Housing Value Codes.

"EstimatedHousingValueCode": ["00","01","02","03","04","05",
"06","07","08","09","10","11","12","13","14","15","16","17",
"18","19","20","21"]

HomeownershipCode

A list of Homeownership Codes.

"HomeownershipCode": [0, 1, 2, 3]

PresenceOfChildrenCode

A list of Presence Of Children Codes.

"PresenceOfChildrenCode": [0, 1, 2, 3]

DwellingCodeNormal

A list of Dwelling Code Normals.

"DwellingCodeNormal": ["AX"]

DwellingCodeSpecific

A list of Dwelling Specific Codes.

"DwellingCodeSpecific": [0, 1, 2, 3]

MoveDistanceCode

A list of Move Distance Codes.

"MoveDistanceCode": [0, 1, 2, 3]

ConstructionTypeCode

A list of Construction Type Codes.

"ConstructionTypeCode": ["B"]

MailResponsiveInd

An indicator of mail responsiveness at the address.

"MailResponsiveInd": [ true, null ]
Headers#
  • POST JSON
 Content-Type: application/json
 Accept: application/json
Response#
  • POST JSON
{
  "JobId": "returned_job_id",
  "Count": 370,
  "ResultCode": "LS01",
  "Sample": [
    {
      "MelissaAddressKey": 1005797685,
      "AddressLine": "35 Pinzon",
      "PreviousAddressLine": "17136 E Roadrunner Rd"
    },
    {
      "MelissaAddressKey": 1122076153,
      "AddressLine": "11 Castano",
      "PreviousAddressLine": ""
    }
  ]
}
Response Fields#

Output Name

Description

JobId

The JobId to be used to purchase and access the full dataset.

Count

Number of records returned by the query.

ResultCode

Success or Error codes based on the response/request.

Sample

A 10 record sample response.

NewHomeowners#

All NewHomeowners endpoints have the following buyable Columns. For more information on each column, please refer to New Homeowners Data Layout.

  • NewHomeowners

Column Name

Type

Definition

MelissaAddressKey

bigint

10-digit unique key assigned to each address.

BaseMelissaAddressKey

bigint

Displays the parent Melissa Address Key of an address if it is a part of or within a building. Ex. Apartment

FirstName

varchar(64)

First Name

LastName

varchar(64)

Last Name

AddressLine

varchar(64)

Address Line

City

varchar(64)

City

State

varchar(2)

State

ZIPCode

varchar(5)

ZIP Code

Plus4

varchar(4)

Plus4

DeliveryPoint

varchar(2)

A specific location where mail is delivered to an individual or entity. It is a precise point of delivery for a particular address.

AddressKey

varchar(11)

Address key is a combination of a location’s ZIPCode + Plus4 + DeliveryPoint

CarrierRoute

varchar(4)

The carrier route for the location address assigned by the USPS.

FIPSCode

varchar(5)

The FIPSCode indicates the location of the address at both the state and county level.

PlaceCode

varchar(7)

Place identifier represented as State FIPS (2) + PlaceFIPS (5)

Latitude

decimal(18,6)

The latitude in decimal degrees using the WGS84 datum for the address.

Longitude

decimal(18,6)

The longitude in decimal degrees using the WGS84 datum for the address.

CensusKey

varchar(16)

Census key is a 15 or 16-character key combination of the state FIPS code + county FIPS code + tract number + block number + block suffix. The Census key was created by the US Government to correctly identify, classify, and pull statistical data from areas across the United States.

PhoneNumber

varchar(12)

Phone number

PurchasePrice

int

The purchase price of the property.

SellDate

date

The closing date, the ownership of the property is transferred to the buyer.

Lender

varchar(90)

A lender is an individual, a public or private group, or a financial institution that makes funds available to another with the expectation that the funds will be repaid.

TransactionType

varchar(5)

Transaction type code

PublishedDate

date

Record published date

CondoCode

varchar(2)

Indicates if a property is a condo.

MortgageAmount

int

A regularly scheduled payment which includes principal and interest paid by borrower to lender of home loan.

RateType

varchar(5)

Whether a fixed-rate or an adjustable-rate mortgage loan.

LoanType

varchar(50)

Indicates whether the loan granted, applied for, or purchased was conventional, government-guaranteed, or government-insured.

/web/V1/NewHomeowners/doCount#

Introduction#

This endpoint gets the total record count returned using the required and optional properties passed in. This endpoint does not count against the package usage.

Try It Now#
  • POST JSON
curl -X POST "https://dataretriever.melissadata.net/web/V1/NewHomeowners/doCount" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
      "CustomerID": "{{customerId}}",
      "Includes": {
        "Zips": [
          {"Zip": "92688"}
        ],
        "SellDate": {
          "StartDate": "2024-01-01",
          "EndDate": "2024-12-01"
        }
      }
}'
Request Parameters#
  • POST JSON

Code

Description

CustomerID

The License Key issued by Melissa.

Includes

Any parameter you would like to include in the query. At least one from the Required list.

Excludes (Optional)

Any parameter you would like to exclude in the query.

Columns

All NewHomeowners Columns you want returned.

  • POST JSON (Includes)

Code

Description

JSON

Zips (Required)

A list of Zips objects containing Zip codes and optionally Plus4.

"Zips": [
  {"Zip": "92688", "Plus4": "2122", "CarrierRoute": "C0123"}}}}
]

Cities (Required)

A list of cities objects each containing City and State.

"Cities": [
  {"City": "Rancho Santa Margarita", "State": "CA"}
]

Radius (Required)

A radius object containing a Latitude, Longitude, and Distance represented in miles.

"Radius": {
  "Latitude": 33.637654,
  "Longitude": -117.607075,
  "Distance": 2
}

ShapeWKTs (Required)

A list of polygon Shapes.

"ShapeWKTs": [
  "POLYGON(
    (-117.63908729625203 33.54947105992495,
    -117.64000192952611 33.54939952783131,
    -117.6398195393131 33.548657378865364,
    -117.63903901648976 33.54871326379859,
    -117.63885394406773 33.548791502644384,
    -117.63875202012517 33.54936823252172,
    -117.63908729625203 33.54947105992495),
    (-117.63959372373107 33.54874903013689,
    -117.63959372373107 33.549088809612265,
    -117.63967687221053 33.549088809612265,
    -117.63967419000151 33.549370467901376,
    -117.63947034211638 33.54937270328092,
    -117.63936841817382 33.549048572638874,
    -117.63941133351805 33.54875126553252,
    -117.63959372373107 33.54874903013689)
  )"
]

MelissaAddressKey

A list of Melissa Address Keys.

"MelissaAddressKey": ["8787744694", "5398639232"]

BaseMelissaAddressKey

A list of Base Melissa Address Keys.

"BaseMelissaAddressKey": ["0"]

FirstName

A list of First Names.

"FirstName": ["JOHN"]

LastName

A list of Last Names.

"LastName": ["DOE"]

RBDI

An RBDI code.

"RBDI": ["B"]

Address

A list of Addresses.

"AddressLine": ["22382 Avenida Empresa"]

Street

A list of Streets.

"Street": ["Main St"]

State

A list of States.

"State": ["CA"]

Plus4

A list of Plus4s.

"Plus4": ["2115"]

DeliveryPoint

A list of Delivery Points.

"DeliveryPoint": ["19"]

AddressKey

A list of Address Keys.

"AddressKey": ["99507411719","99501483908"]

CarrierRoute

A list of Carrier Routes.

"CarrierRoute": ["C010"]

FIPSCode

A list of FIPS Codes.

"FIPSCode": ["12345"]

CountyName

A list of County Names.

"CountyName": ["Orange"]

PlaceCode

A list of Place Codes.

"PlaceCode": ["0660594"]

Latitude

A list of Latitudes.

"Latitude": ["33.640495"]

Longitude

A list of Longitudes.

"Longitude": ["-117.603915"]

CensusKey

A list of Census Keys.

"CensusKey": ["060590885013012"]

PhoneNumber

A list of Phone Numbers.

"PhoneNumber": ["8006354772"]

PurchasePrice

A Range of Purchase Prices

"PurchasePrice": ["500","600"]

SellDate

A list of Sell Dates.

"SellDate": {
  "StartDate": "2024-01-01",
  "EndDate": "2024-12-01"
}

Lender

A list of Lenders.

"Lender": ["Melissa Bank", "Rancho Test Credit Union"]

TransactionType

A list of Transaction Types.

"TransactionType": [ 0,1,109,21,3,43,7,9]

PublishedDate

A date range with start and end dates.

"PublishedDate": {
  "StartDate": "2024-01-01",
  "EndDate": "2024-12-01"
}

CondoCode

A list of Condo Codes.

"CondoCode": ["C"]

MortgageAmount

A list of Mortgage Amounts.

"MortgageAmount": ["500","600"]

RateType

A list of Rate Types.

"RateType": ["ADJ","FIX","MULT","OTH","STP","UNK","VAR","NULL"," "]

LoanType

A list of Loan Types.

"LoanType": ["NULL","2nd Mtg covering 1st","420","ARM","Assumption",
"Balloon","Building","Building or Construction","C",
"Closed End Mortgage","CNV","Commercial","Conventional","FHA",
"HME","Land - Agreement Sale","Line of Credit","Negative Amortization",
"PP","Regional Government Programs","Reverse Mortgage","SBA",
"Seller Take Back","Stand Alone 1st","Stand Alone 2nd",
"Stand Alone Refi","USDA - US Department of Agriculture Loan","VA",
"Veterans Administration Loan"]
  • POST JSON (Excludes)

Code

Description

JSON

MelissaAddressKey

A list of Melissa Address Keys.

"MelissaAddressKey": ["8787744694", "5398639232"]

BaseMelissaAddressKey

A list of Base Melissa Address Keys.

"BaseMelissaAddressKey": ["0"]

FirstName

A list of First Names.

"FirstName": ["JOHN"]

LastName

A list of Last Names.

"LastName": ["DOE"]

RBDI

An RBDI code.

"RBDI": ["B"]

Address

A list of Addresses.

"AddressLine": ["22382 Avenida Empresa"]

Street

A list of Streets.

"Street": ["Main St"]

Cities

A list of cities objects each containing City and State.

"Cities": [
  {"City": "Rancho Santa Margarita", "State": "CA"}
]

State

A list of States.

"State": ["CA"]

Zips

A list of Zips objects containing Zip codes and optionally Plus4.

"Zips": [
  {"Zip": "92688", "Plus4": "2122", "CarrierRoute": "C0123"}}}}
]

Plus4

A list of Plus4s.

"Plus4": ["2115"]

DeliveryPoint

A list of Delivery Points.

"DeliveryPoint": ["19"]

AddressKey

A list of Address Keys.

"AddressKey": ["99507411719","99501483908"]

CarrierRoute

A list of Carrier Routes.

"CarrierRoute": ["C010"]

FIPSCode

A list of FIPS Codes.

"FIPSCode": ["12345"]

CountyName

A list of County Names.

"CountyName": ["Orange"]

PlaceCode

A list of Place Codes.

"PlaceCode": ["0660594"]

Latitude

A list of Latitudes.

"Latitude": ["33.640495"]

Longitude

A list of Longitudes.

"Longitude": ["-117.603915"]

CensusKey

A list of Census Keys.

"CensusKey": ["060590885013012"]

PhoneNumber

A list of Phone Numbers.

"PhoneNumber": ["8006354772"]

PurchasePrice

A Range of Purchase Prices

"PurchasePrice": ["500","600"]

SellDate

A list of Sell Dates.

"SellDate": {
  "StartDate": "2024-01-01",
  "EndDate": "2024-12-01"
}

Lender

A list of Lenders.

"Lender": ["Melissa Bank", "Rancho Test Credit Union"]

TransactionType

A list of Transaction Types.

"TransactionType": [ 0,1,109,21,3,43,7,9]

PublishedDate

A date range with start and end dates.

"PublishedDate": {
  "StartDate": "2024-01-01",
  "EndDate": "2024-12-01"
}

CondoCode

A list of Condo Codes.

"CondoCode": ["C"]

MortgageAmount

A list of Mortgage Amounts.

"MortgageAmount": ["500","600"]

RateType

A list of Rate Types.

"RateType": ["ADJ","FIX","MULT","OTH","STP","UNK","VAR","NULL"," "]

LoanType

A list of Loan Types.

"LoanType": ["NULL","2nd Mtg covering 1st","420","ARM","Assumption",
"Balloon","Building","Building or Construction","C",
"Closed End Mortgage","CNV","Commercial","Conventional","FHA",
"HME","Land - Agreement Sale","Line of Credit","Negative Amortization",
"PP","Regional Government Programs","Reverse Mortgage","SBA",
"Seller Take Back","Stand Alone 1st","Stand Alone 2nd",
"Stand Alone Refi","USDA - US Department of Agriculture Loan","VA",
"Veterans Administration Loan"]
Headers#
  • POST JSON
 Content-Type: application/json
 Accept: application/json
Response#
  • POST JSON
{
  "Count": 406,
  "JobId": "returned_job_id",
  "ResultCode": "LS01"
}
Response Fields#

Output Name

Description

Count

Number of records returned by the query.

JobId

The JobId to be used to purchase and access the full dataset.

ResultCode

Success or Error codes based on the response/request.

/web/V1/NewHomeowners/doLookup#

Introduction#

This endpoint returns a paginated result view of the request. This can sometimes take awhile and should be used after DoCount has been used to filter down your dataset.

Try It Now#
  • POST JSON
curl -X POST "https://dataretriever.melissadata.net/web/V1/NewHomeowners/doLookup" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
      "CustomerID": "{{customerId}}",
      "Includes": {
        "Zips": [
          {"Zip": "92688"}
        ],
        "SellDate": {
          "StartDate": "2024-01-01",
          "EndDate": "2024-12-01"
        }
      },
      "Columns": [
        "MelissaAddressKey",
        "AddressLine",
        "PurchasePrice",
        "SellDate"
      ],
      "Pagination": {
        "Page": 1
      },
      "OrderBy": [
        { "column": "MelissaAddressKey", "sortorder": "desc" }
      ]
}'
Request Parameters#
  • POST JSON

Code

Description

CustomerID

The License Key issued by Melissa.

Includes

Any parameter you would like to include in the query. At least one from the Required list.

Excludes (Optional)

Any parameter you would like to exclude in the query.

Columns

All NewHomeowners Columns you want returned.

Pagination

Specify the desired page in the results to access. Pages are based on 100 records per page.

OrderBy (Optional)

Specify the desired column to order the responses by.

  • POST JSON (Includes)

Code

Description

JSON

Zips (Required)

A list of Zips objects containing Zip codes and optionally Plus4.

"Zips": [
  {"Zip": "92688", "Plus4": "2122", "CarrierRoute": "C0123"}}}}
]

Cities (Required)

A list of cities objects each containing City and State.

"Cities": [
  {"City": "Rancho Santa Margarita", "State": "CA"}
]

Radius (Required)

A radius object containing a Latitude, Longitude, and Distance represented in miles.

"Radius": {
  "Latitude": 33.637654,
  "Longitude": -117.607075,
  "Distance": 2
}

ShapeWKTs (Required)

A list of polygon Shapes.

"ShapeWKTs": [
  "POLYGON(
    (-117.63908729625203 33.54947105992495,
    -117.64000192952611 33.54939952783131,
    -117.6398195393131 33.548657378865364,
    -117.63903901648976 33.54871326379859,
    -117.63885394406773 33.548791502644384,
    -117.63875202012517 33.54936823252172,
    -117.63908729625203 33.54947105992495),
    (-117.63959372373107 33.54874903013689,
    -117.63959372373107 33.549088809612265,
    -117.63967687221053 33.549088809612265,
    -117.63967419000151 33.549370467901376,
    -117.63947034211638 33.54937270328092,
    -117.63936841817382 33.549048572638874,
    -117.63941133351805 33.54875126553252,
    -117.63959372373107 33.54874903013689)
  )"
]

MelissaAddressKey

A list of Melissa Address Keys.

"MelissaAddressKey": ["8787744694", "5398639232"]

BaseMelissaAddressKey

A list of Base Melissa Address Keys.

"BaseMelissaAddressKey": ["0"]

FirstName

A list of First Names.

"FirstName": ["JOHN"]

LastName

A list of Last Names.

"LastName": ["DOE"]

RBDI

An RBDI code.

"RBDI": ["B"]

Address

A list of Addresses.

"AddressLine": ["22382 Avenida Empresa"]

Street

A list of Streets.

"Street": ["Main St"]

State

A list of States.

"State": ["CA"]

Plus4

A list of Plus4s.

"Plus4": ["2115"]

DeliveryPoint

A list of Delivery Points.

"DeliveryPoint": ["19"]

AddressKey

A list of Address Keys.

"AddressKey": ["99507411719","99501483908"]

CarrierRoute

A list of Carrier Routes.

"CarrierRoute": ["C010"]

FIPSCode

A list of FIPS Codes.

"FIPSCode": ["12345"]

CountyName

A list of County Names.

"CountyName": ["Orange"]

PlaceCode

A list of Place Codes.

"PlaceCode": ["0660594"]

Latitude

A list of Latitudes.

"Latitude": ["33.640495"]

Longitude

A list of Longitudes.

"Longitude": ["-117.603915"]

CensusKey

A list of Census Keys.

"CensusKey": ["060590885013012"]

PhoneNumber

A list of Phone Numbers.

"PhoneNumber": ["8006354772"]

PurchasePrice

A Range of Purchase Prices

"PurchasePrice": ["500","600"]

SellDate

A list of Sell Dates.

"SellDate": {
  "StartDate": "2024-01-01",
  "EndDate": "2024-12-01"
}

Lender

A list of Lenders.

"Lender": ["Melissa Bank", "Rancho Test Credit Union"]

TransactionType

A list of Transaction Types.

"TransactionType": [ 0,1,109,21,3,43,7,9]

PublishedDate

A date range with start and end dates.

"PublishedDate": {
  "StartDate": "2024-01-01",
  "EndDate": "2024-12-01"
}

CondoCode

A list of Condo Codes.

"CondoCode": ["C"]

MortgageAmount

A list of Mortgage Amounts.

"MortgageAmount": ["500","600"]

RateType

A list of Rate Types.

"RateType": ["ADJ","FIX","MULT","OTH","STP","UNK","VAR","NULL"," "]

LoanType

A list of Loan Types.

"LoanType": ["NULL","2nd Mtg covering 1st","420","ARM","Assumption",
"Balloon","Building","Building or Construction","C",
"Closed End Mortgage","CNV","Commercial","Conventional","FHA",
"HME","Land - Agreement Sale","Line of Credit","Negative Amortization",
"PP","Regional Government Programs","Reverse Mortgage","SBA",
"Seller Take Back","Stand Alone 1st","Stand Alone 2nd",
"Stand Alone Refi","USDA - US Department of Agriculture Loan","VA",
"Veterans Administration Loan"]
  • POST JSON (Excludes)

Code

Description

JSON

MelissaAddressKey

A list of Melissa Address Keys.

"MelissaAddressKey": ["8787744694", "5398639232"]

BaseMelissaAddressKey

A list of Base Melissa Address Keys.

"BaseMelissaAddressKey": ["0"]

FirstName

A list of First Names.

"FirstName": ["JOHN"]

LastName

A list of Last Names.

"LastName": ["DOE"]

RBDI

An RBDI code.

"RBDI": ["B"]

Address

A list of Addresses.

"AddressLine": ["22382 Avenida Empresa"]

Street

A list of Streets.

"Street": ["Main St"]

Cities

A list of cities objects each containing City and State.

"Cities": [
  {"City": "Rancho Santa Margarita", "State": "CA"}
]

State

A list of States.

"State": ["CA"]

Zips

A list of Zips objects containing Zip codes and optionally Plus4.

"Zips": [
  {"Zip": "92688", "Plus4": "2122", "CarrierRoute": "C0123"}}}}
]

Plus4

A list of Plus4s.

"Plus4": ["2115"]

DeliveryPoint

A list of Delivery Points.

"DeliveryPoint": ["19"]

AddressKey

A list of Address Keys.

"AddressKey": ["99507411719","99501483908"]

CarrierRoute

A list of Carrier Routes.

"CarrierRoute": ["C010"]

FIPSCode

A list of FIPS Codes.

"FIPSCode": ["12345"]

CountyName

A list of County Names.

"CountyName": ["Orange"]

PlaceCode

A list of Place Codes.

"PlaceCode": ["0660594"]

Latitude

A list of Latitudes.

"Latitude": ["33.640495"]

Longitude

A list of Longitudes.

"Longitude": ["-117.603915"]

CensusKey

A list of Census Keys.

"CensusKey": ["060590885013012"]

PhoneNumber

A list of Phone Numbers.

"PhoneNumber": ["8006354772"]

PurchasePrice

A Range of Purchase Prices

"PurchasePrice": ["500","600"]

SellDate

A list of Sell Dates.

"SellDate": {
  "StartDate": "2024-01-01",
  "EndDate": "2024-12-01"
}

Lender

A list of Lenders.

"Lender": ["Melissa Bank", "Rancho Test Credit Union"]

TransactionType

A list of Transaction Types.

"TransactionType": [ 0,1,109,21,3,43,7,9]

PublishedDate

A date range with start and end dates.

"PublishedDate": {
  "StartDate": "2024-01-01",
  "EndDate": "2024-12-01"
}

CondoCode

A list of Condo Codes.

"CondoCode": ["C"]

MortgageAmount

A list of Mortgage Amounts.

"MortgageAmount": ["500","600"]

RateType

A list of Rate Types.

"RateType": ["ADJ","FIX","MULT","OTH","STP","UNK","VAR","NULL"," "]

LoanType

A list of Loan Types.

"LoanType": ["NULL","2nd Mtg covering 1st","420","ARM","Assumption",
"Balloon","Building","Building or Construction","C",
"Closed End Mortgage","CNV","Commercial","Conventional","FHA",
"HME","Land - Agreement Sale","Line of Credit","Negative Amortization",
"PP","Regional Government Programs","Reverse Mortgage","SBA",
"Seller Take Back","Stand Alone 1st","Stand Alone 2nd",
"Stand Alone Refi","USDA - US Department of Agriculture Loan","VA",
"Veterans Administration Loan"]
  • POST JSON (Pagination)

Code

Description

JSON

Page

The page number to access.

"Page": 1
Headers#
  • POST JSON
Content-Type: application/json
Accept: application/json
Response#
  • POST JSON
{
  "Count": 406,
  "Results": [
    {
        "MelissaAddressKey": null,
        "AddressLine": "10 Daffodil # 34",
        "PurchasePrice": 850,
        "SellDate": "2023-08-08T00:00:00"
    },
    {
        "MelissaAddressKey": null,
        "AddressLine": "10 Daffodil # 34",
        "PurchasePrice": 850,
        "SellDate": "2023-08-08T00:00:00"
    },
    {
        "MelissaAddressKey": 2701812381,
        "AddressLine": "6 Codoniz",
        "PurchasePrice": 761,
        "SellDate": "2023-09-26T00:00:00"
    }
  ],
  "Pagination": {
    "CurrentPage": 1,
    "NextPage": 2,
    "TotalPages": 4
  },
  "JobId": "returned_job_id",
  "ResultCode": "LS01"
}
Response Fields#

Output Name

Description

Count

Number of total records returned by the query.

Results

The returned records with requested columns. 100 records per page.

Pagination

Paginated information.

CurrentPage

The current page number.

NextPage

The next page number.

TotalPages

The total number of pages available.

JobId

The JobId to be used to purchase and access the full dataset.

ResultCode

Success or Error codes based on the response/request.

/web/V1/NewHomeowners/getCount#

Introduction#

This endpoint allows API users to retrieve a count and 10 record sample of the results to preview before purchasing a file version of the full dataset.

Try It Now#
  • POST JSON
curl -X POST "https://dataretriever.melissadata.net/web/V1/NewHomeowners/getCount" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
      "CustomerID": "{{customerId}}",
      "Includes": {
        "Zips": [
          {"Zip": "92688"}
        ],
        "SellDate": {
          "StartDate": "2024-01-01",
          "EndDate": "2024-12-01"
        }
      },
      "Columns": [
        "MelissaAddressKey",
        "AddressLine",
        "PurchasePrice",
        "SellDate"
      ],
      "OrderBy": [
        { "column": "MelissaAddressKey", "sortorder": "desc" }
      ]
}'
Request Parameters#
  • POST JSON

Code

Description

CustomerID

The License Key issued by Melissa.

Includes

Any parameter you would like to include in the query. At least one from the Required list.

Excludes (Optional)

Any parameter you would like to exclude in the query.

Columns

All NewHomeowners Columns you want returned.

OrderBy (Optional)

Specify the desired column to order the responses by.

  • POST JSON (Includes)

Code

Description

JSON

Zips (Required)

A list of Zips objects containing Zip codes and optionally Plus4.

"Zips": [
  {"Zip": "92688", "Plus4": "2122", "CarrierRoute": "C0123"}}}}
]

Cities (Required)

A list of cities objects each containing City and State.

"Cities": [
  {"City": "Rancho Santa Margarita", "State": "CA"}
]

Radius (Required)

A radius object containing a Latitude, Longitude, and Distance represented in miles.

"Radius": {
  "Latitude": 33.637654,
  "Longitude": -117.607075,
  "Distance": 2
}

ShapeWKTs (Required)

A list of polygon Shapes.

"ShapeWKTs": [
  "POLYGON(
    (-117.63908729625203 33.54947105992495,
    -117.64000192952611 33.54939952783131,
    -117.6398195393131 33.548657378865364,
    -117.63903901648976 33.54871326379859,
    -117.63885394406773 33.548791502644384,
    -117.63875202012517 33.54936823252172,
    -117.63908729625203 33.54947105992495),
    (-117.63959372373107 33.54874903013689,
    -117.63959372373107 33.549088809612265,
    -117.63967687221053 33.549088809612265,
    -117.63967419000151 33.549370467901376,
    -117.63947034211638 33.54937270328092,
    -117.63936841817382 33.549048572638874,
    -117.63941133351805 33.54875126553252,
    -117.63959372373107 33.54874903013689)
  )"
]

MelissaAddressKey

A list of Melissa Address Keys.

"MelissaAddressKey": ["8787744694", "5398639232"]

BaseMelissaAddressKey

A list of Base Melissa Address Keys.

"BaseMelissaAddressKey": ["0"]

FirstName

A list of First Names.

"FirstName": ["JOHN"]

LastName

A list of Last Names.

"LastName": ["DOE"]

RBDI

An RBDI code.

"RBDI": ["B"]

Address

A list of Addresses.

"AddressLine": ["22382 Avenida Empresa"]

Street

A list of Streets.

"Street": ["Main St"]

State

A list of States.

"State": ["CA"]

Plus4

A list of Plus4s.

"Plus4": ["2115"]

DeliveryPoint

A list of Delivery Points.

"DeliveryPoint": ["19"]

AddressKey

A list of Address Keys.

"AddressKey": ["99507411719","99501483908"]

CarrierRoute

A list of Carrier Routes.

"CarrierRoute": ["C010"]

FIPSCode

A list of FIPS Codes.

"FIPSCode": ["12345"]

CountyName

A list of County Names.

"CountyName": ["Orange"]

PlaceCode

A list of Place Codes.

"PlaceCode": ["0660594"]

Latitude

A list of Latitudes.

"Latitude": ["33.640495"]

Longitude

A list of Longitudes.

"Longitude": ["-117.603915"]

CensusKey

A list of Census Keys.

"CensusKey": ["060590885013012"]

PhoneNumber

A list of Phone Numbers.

"PhoneNumber": ["8006354772"]

PurchasePrice

A Range of Purchase Prices

"PurchasePrice": ["500","600"]

SellDate

A list of Sell Dates.

"SellDate": {
  "StartDate": "2024-01-01",
  "EndDate": "2024-12-01"
}

Lender

A list of Lenders.

"Lender": ["Melissa Bank", "Rancho Test Credit Union"]

TransactionType

A list of Transaction Types.

"TransactionType": [ 0,1,109,21,3,43,7,9]

PublishedDate

A date range with start and end dates.

"PublishedDate": {
  "StartDate": "2024-01-01",
  "EndDate": "2024-12-01"
}

CondoCode

A list of Condo Codes.

"CondoCode": ["C"]

MortgageAmount

A list of Mortgage Amounts.

"MortgageAmount": ["500","600"]

RateType

A list of Rate Types.

"RateType": ["ADJ","FIX","MULT","OTH","STP","UNK","VAR","NULL"," "]

LoanType

A list of Loan Types.

"LoanType": ["NULL","2nd Mtg covering 1st","420","ARM","Assumption",
"Balloon","Building","Building or Construction","C",
"Closed End Mortgage","CNV","Commercial","Conventional","FHA",
"HME","Land - Agreement Sale","Line of Credit","Negative Amortization",
"PP","Regional Government Programs","Reverse Mortgage","SBA",
"Seller Take Back","Stand Alone 1st","Stand Alone 2nd",
"Stand Alone Refi","USDA - US Department of Agriculture Loan","VA",
"Veterans Administration Loan"]
  • POST JSON (Excludes)

Code

Description

JSON

MelissaAddressKey

A list of Melissa Address Keys.

"MelissaAddressKey": ["8787744694", "5398639232"]

BaseMelissaAddressKey

A list of Base Melissa Address Keys.

"BaseMelissaAddressKey": ["0"]

FirstName

A list of First Names.

"FirstName": ["JOHN"]

LastName

A list of Last Names.

"LastName": ["DOE"]

RBDI

An RBDI code.

"RBDI": ["B"]

Address

A list of Addresses.

"AddressLine": ["22382 Avenida Empresa"]

Street

A list of Streets.

"Street": ["Main St"]

Cities

A list of cities objects each containing City and State.

"Cities": [
  {"City": "Rancho Santa Margarita", "State": "CA"}
]

State

A list of States.

"State": ["CA"]

Zips

A list of Zips objects containing Zip codes and optionally Plus4.

"Zips": [
  {"Zip": "92688", "Plus4": "2122", "CarrierRoute": "C0123"}}}}
]

Plus4

A list of Plus4s.

"Plus4": ["2115"]

DeliveryPoint

A list of Delivery Points.

"DeliveryPoint": ["19"]

AddressKey

A list of Address Keys.

"AddressKey": ["99507411719","99501483908"]

CarrierRoute

A list of Carrier Routes.

"CarrierRoute": ["C010"]

FIPSCode

A list of FIPS Codes.

"FIPSCode": ["12345"]

CountyName

A list of County Names.

"CountyName": ["Orange"]

PlaceCode

A list of Place Codes.

"PlaceCode": ["0660594"]

Latitude

A list of Latitudes.

"Latitude": ["33.640495"]

Longitude

A list of Longitudes.

"Longitude": ["-117.603915"]

CensusKey

A list of Census Keys.

"CensusKey": ["060590885013012"]

PhoneNumber

A list of Phone Numbers.

"PhoneNumber": ["8006354772"]

PurchasePrice

A Range of Purchase Prices

"PurchasePrice": ["500","600"]

SellDate

A list of Sell Dates.

"SellDate": {
  "StartDate": "2024-01-01",
  "EndDate": "2024-12-01"
}

Lender

A list of Lenders.

"Lender": ["Melissa Bank", "Rancho Test Credit Union"]

TransactionType

A list of Transaction Types.

"TransactionType": [ 0,1,109,21,3,43,7,9]

PublishedDate

A date range with start and end dates.

"PublishedDate": {
  "StartDate": "2024-01-01",
  "EndDate": "2024-12-01"
}

CondoCode

A list of Condo Codes.

"CondoCode": ["C"]

MortgageAmount

A list of Mortgage Amounts.

"MortgageAmount": ["500","600"]

RateType

A list of Rate Types.

"RateType": ["ADJ","FIX","MULT","OTH","STP","UNK","VAR","NULL"," "]

LoanType

A list of Loan Types.

"LoanType": ["NULL","2nd Mtg covering 1st","420","ARM","Assumption",
"Balloon","Building","Building or Construction","C",
"Closed End Mortgage","CNV","Commercial","Conventional","FHA",
"HME","Land - Agreement Sale","Line of Credit","Negative Amortization",
"PP","Regional Government Programs","Reverse Mortgage","SBA",
"Seller Take Back","Stand Alone 1st","Stand Alone 2nd",
"Stand Alone Refi","USDA - US Department of Agriculture Loan","VA",
"Veterans Administration Loan"]
Headers#
  • POST JSON
Content-Type: application/json
Accept: application/json
Response#
  • POST JSON
{
  "JobId": "returned_job_id",
  "Count": 406,
  "ResultCode": "LS01",
  "Sample": [
    {
      "MelissaAddressKey": null,
      "AddressLine": "10 Daffodil # 34",
      "PurchasePrice": 850,
      "SellDate": "2023-08-08T00:00:00"
    },
    {
      "MelissaAddressKey": null,
      "AddressLine": "17 Buckthorn # 168",
      "PurchasePrice": 580,
      "SellDate": "2023-08-10T00:00:00"
    }
  ]
}
Response Fields#

Output Name

Description

JobId

The JobId to be used to purchase and access the full dataset.

Count

Number of records returned by the query.

ResultCode

Success or Error codes based on the response/request.

Sample

A 10 record sample response.

Consumer#

All Consumer endpoints have the following buyable Columns. For more information on each column, please refer to Consumer Data Layout.

  • Consumer

Column Name

Type

Definition

MelissaAddressKey

bigint

10-digit unique key assigned to each address.

BaseMelissaAddressKey

bigint

Displays the parent Melissa Address Key of an address if it is a part of or within a building. Ex. Apartment

TitlePrefixInd

varchar(1)

Title prefix Ex. “Mr.”

FirstName

varchar(30)

First name

MiddleNameInitial

varchar(1)

Middle name initial

LastName

varchar(30)

Last name

FullName

varchar(61)

Full Name

NameSuffix

varchar(20)

Name suffix EX. “Jr.”, “III”

AddressLine

varchar(75)

Address line

Suite

varchar(20)

Suite

City

varchar(35)

City

State

varchar(2)

State

ZIPCode

varchar(5)

ZIP Code

Plus4

varchar(4)

ZIP Code plus 4

DeliveryPoint

varchar(2)

A specific location where mail is delivered to an individual or entity. It is a precise point of delivery for a particular address.

AddressKey

varchar(11)

Address key is a combination of a location’s ZIPCode + Plus4 + DeliveryPoint

ResultCodes

varchar(100)

Melissa result codes

AddressStreetNumber

varchar(10)

Address street number. Ex. ‘6450’

AddressDirectionPrefix

varchar(5)

Address directional prefix. Ex. ‘e’

AddressStreetName

varchar(50)

Street name. Ex. ‘Side’

AddressStreetSuffix

varchar(10)

Suffix of address. Ex. ‘Dr’

AddressDirectionSuffix

varchar(5)

Address directional suffix. Ex. ‘Ne’

AddressSuiteName

varchar(10)

Suite. Ex. ‘Apt’

AddressSuiteNumber

varchar(10)

Address suite number. Ex. ‘Q’

AddressTypeInd

varchar(1)

Address type indicator

AddressType

char(1)

Address type. Ex. P.O.Box or residential address

RBDI

char(1)

Business/residential indication

WalkSequencenumber

varchar(4)

Walk sequence. It is used by mail carriers to mark the mailing sequence of their deliveries.

CarrierRoute

varchar(4)

The carrier route for the location address assigned by the USPS.

FIPSCode

varchar(5)

The FIPSCode indicates the location of the address at both the state and county level.

FIPSMCDCode

varchar(5)

A unique identifier for each Minor Civil Division (MCD) or other county subdivisions in the U.S. MCDs are legal entities that are subdivisions of county or county equivalents other than incorporated places and are established by appropriate state or local governmental authorities and recognized by the Census Bureau as a primary county division.

PlaceCode

varchar(7)

Place identifier represented as State FIPS (2) + PlaceFIPS (5)

Latitude

decimal(18,6)

The latitude in decimal degrees using the WGS84 datum for the address.

Longitude

decimal(18,6)

The longitude in decimal degrees using the WGS84 datum for the address.

CensusKey

varchar(16)

Census key is a 15 or 16-character key combination of the state FIPS code + county FIPS code + tract number + block number + block suffix. The Census key was created by the US Government to correctly identify, classify, and pull statistical data from areas across the United States.

CBSACode

varchar(5)

Core based statistical areas (CBSAs) may be either metropolitan statistical areas or micropolitan statistical areas.

OccupationCode1

varchar(1)

Indicates the occupation of the 1st individual in the household.

GenderCode

varchar(1)

Gender

ContactAgeGroup

varchar(2)

Contact age group

BirthYear1

varchar(4)

Indicates the year of the date of birth from the 1st individual in the household.

BirthMonth1

varchar(2)

Indicates the month of the date of birth from the 1st individual in the household.

BirthDay1

varchar(2)

Indicates the day of the date of birth from the 1st individual in the household.

Gender1

varchar(1)

Indicates the gender of the 1st ranked person in the household. The ranking is based on a series of InfoBase ranking rules.

PoliticalPartyCode1

varchar(1)

Indicates the political party of the 1st individual for voting purposes.

EducationCode1

varchar(1)

Indicates the highest known education of the 1st ranked person in the household. The ranking is based on a series of InfoBase ranking rules.

PhoneNumber

varchar(10)

Phone number

PhonePresenceInd

varchar(1)

Phone presence indicator

Email

varchar(450)

Email

EmailResultLevel

int

EmailResultLevel

eMailAppendAvailableInd

varchar(1)

Email append available indicator

AgeLessthan1Ind

varchar(1)

Indicates the presence of children less than age 1 in the household.

Age1Ind

varchar(1)

Indicates the presence of children age 1 in the household.

Age2Ind

varchar(1)

Indicates the presence of children age 2 in the household.

Age3Ind

varchar(1)

Indicates the presence of children age 3 in the household.

Age4Ind

varchar(1)

Indicates the presence of children age 4 in the household.

Age5Ind

varchar(1)

Indicates the presence of children age 5 in the household.

Age6Ind

varchar(1)

Indicates the presence of children age 6 in the household.

Age7Ind

varchar(1)

Indicates the presence of children age 7 in the household.

Age8Ind

varchar(1)

Indicates the presence of children age 8 in the household.

Age9Ind

varchar(1)

Indicates the presence of children age 9 in the household.

Age10Ind

varchar(1)

Indicates the presence of children age 10 in the household.

Age11Ind

varchar(1)

Indicates the presence of children age 11 in the household.

Age12Ind

varchar(1)

Indicates the presence of children age 12 in the household.

Age13Ind

varchar(1)

Indicates the presence of children age 13 in the household.

Age14Ind

varchar(1)

Indicates the presence of children age 14 in the household.

Age15Ind

varchar(1)

Indicates the presence of children age 15 in the household.

Age16Ind

varchar(1)

Indicates the presence of children age 16 in the household.

Age17Ind

varchar(1)

Indicates the presence of children age 17 in the household.

Age18Ind

varchar(1)

Indicates the presence of children age 18 in the household.

SupportsChildrensInd

varchar(1)

Indicates that the household financially supports children’s causes.

NumberOfChildrenCode

varchar(1)

Indicates the known number of children in the household.

PresenceOfChildrenInd

varchar(1)

Indicates the presence of children in the household.

NumberOfAdultsCode

varchar(1)

Indicates the known number of adults (18+) living in the household.

HouseholdSizeCode

varchar(1)

Indicates the known number of known people in the household, both adults and children. Household size is a sum of number of adults and number of children, with the exception of a small percentage of household size (0.04%) that will not sum to number of adults + number of children.

EstimatedHomeMarketValueCode

varchar(1)

Indicates the estimated market value of the home, in ranges. This home market value element is built with multiple sources of household level source data (91%) and with multiple sources of geographical data (9%).

HomeOwnerRenterCode

varchar(1)

Indicates whether a household is owner or renter occupied.

IncomeEstimatedHousehold

varchar(1)

Indicates the estimated household income in higher ranges

HouseholdAgeCode

varchar(1)

Internal data will replace when data is found and explained

Age0to2MaleInd

varchar(1)

Indicates the presence of male children age 0 to 2 in the household.

Age0to2FemaleInd

varchar(1)

Indicates the presence of female children age 0 to 2 in the household.

Age0to2UnknownGenderInd

varchar(1)

Indicates the presence of children of unknown gender(s) age 0 to 2 in the household.

Age3to5MaleInd

varchar(1)

Indicates the presence of male children age 3 to 5 in the household.

Age3to5FemaleInd

varchar(1)

Indicates the presence of female children age 3 to 5 in the household.

Age3to5UnknownGenderInd

varchar(1)

Indicates the presence of children of unknown gender(s) age 3 to 5 in the household.

Age6to10MaleInd

varchar(1)

Indicates the presence of male children age 6 to 10 in the household.

Age6to10FemaleInd

varchar(1)

Indicates the presence of female children age 6 to 10 in the household.

Age6to10UnknownGenderInd

varchar(1)

Indicates the presence of children of unknown gender(s) age 6 to 10 in the household.

Age11to15MaleInd

varchar(1)

Indicates the presence of male children age 11 to 15 in the household.

Age11to15FemaleInd

varchar(1)

Indicates the presence of female children age 11 to 15 in the household.

Age11to15UnknownGenderInd

varchar(1)

Indicates the presence of children of unknown gender(s) age 11 to 15 in the household.

Age16to17MaleInd

varchar(1)

Indicates the presence of male children age 16 to 17 in the household.

Age16to17FemaleInd

varchar(1)

Indicates the presence of female children age 16 to 17 in the household.

Age16to17UnknownGenderInd

varchar(1)

Indicates the presence of children of unknown gender(s) age 16 to 17 in the household.

Age18to24MaleInd

varchar(1)

Indicates the presence of males aged 18 to 24 in the household. See also 7600 adult age ranges 100%, which uses models and ZIP Code 9 and ZIP Code data to extend the coverage up to 100%.

Age18to24FeMaleInd

varchar(1)

Indicates the presence of females aged 18 to 24 in the household. See also 7600 adult age ranges 100%, which uses models and ZIP Code 9 and ZIP Code data to extend the coverage up to 100%.

Age18to24UnknownGenderInd

varchar(1)

Indicates the presence of people with an unknown gender aged 18 to 24 in the household. See also 7600 adult age ranges 100%, which uses models and ZIP Code 9 and ZIP Code data to extend the coverage up to 100%.

Age25to34MaleInd

varchar(1)

Indicates the presence of males aged 25 to 34 in the household. See also 7600 adult age ranges 100%, which uses models and ZIP Code 9 and ZIP Code data to extend the coverage up to 100%.

Age25to34FeMaleInd

varchar(1)

Indicates the presence of females aged 25 to 34 in the household. See also 7600 adult age ranges 100%, which uses models and ZIP Code 9 and ZIP Code data to extend the coverage up to 100%.

Age25to34UnknownGenderInd

varchar(1)

Indicates the presence of people of unknown gender aged 25 to 34 in the household. See also 7600 adult age ranges 100%, which uses models and ZIP Code 9 and ZIP Code data to extend the coverage up to 100%.

Age35to44MaleInd

varchar(1)

Indicates the presence of males aged 35 to 44 in the household. See also 7600 adult age ranges 100%, which uses models and ZIP Code 9 and ZIP Code data to extend the coverage up to 100%.

Age35to44FeMaleInd

varchar(1)

Indicates the presence of females aged 35 to 44 in the household. See also 7600 adult age ranges 100%, which uses models and ZIP Code 9 and ZIP Code data to extend the coverage up to 100%.

Age35to44UnknownGenderInd

varchar(1)

Indicates the presence of people of unknown gender aged 35 to 44 in the household. See also 7600 adult age ranges 100%, which uses models and ZIP Code 9 and ZIP Code data to extend the coverage up to 100%.

Age45to54MaleInd

varchar(1)

Indicates the presence of males aged 45 to 54 in the household. See also 7600 adult age ranges 100%, which uses models and ZIP Code 9 and ZIP Code data to extend the coverage up to 100%.

Age45to54FeMaleInd

varchar(1)

Indicates the presence of females aged 45 to 54 in the household. See also 7600 adult age ranges 100%, which uses models and ZIP Code 9 and ZIP Code data to extend the coverage up to 100%.

Age45to54UnknownGenderInd

varchar(1)

Indicates the presence of people of unknown gender aged 45 to 54 in the household. See also 7600 adult age ranges 100%, which uses models and ZIP Code 9 and ZIP Code data to extend the coverage up to 100%.

Age55to64MaleInd

varchar(1)

Indicates the presence of males aged 55 to 64 in the household. See also 7600 adult age ranges 100%, which uses models and ZIP Code 9 and ZIP Code data to extend the coverage up to 100%.

Age55to64FeMaleInd

varchar(1)

Indicates the presence of females aged 55 to 64 in the household. See also 7600 adult age ranges 100%, which uses models and ZIP Code 9 and ZIP Code data to extend the coverage up to 100%.

Age55to64UnknownGenderInd

varchar(1)

Indicates the presence of people of unknown gender aged 55 to 64 in the household. See also 7600 adult age ranges 100%, which uses models and ZIP Code 9 and ZIP Code data to extend the coverage up to 100%.

Age65to74MaleInd

varchar(1)

Indicates the presence of males aged 65 to 74 in the household. See also 7600 adult age ranges 100%, which uses models and ZIP Code 9 and ZIP Code data to extend the coverage up to 100%.

Age65to74FeMaleInd

varchar(1)

Indicates the presence of females aged 65 to 74 in the household. See also 7600 adult age ranges 100%, which uses models and ZIP Code 9 and ZIP Code data to extend the coverage up to 100%.

Age65to74UnknownGenderInd

varchar(1)

Indicates the presence of people of unknown gender aged 65 to 74 in the household. See also 7600 adult age ranges 100%, which uses models and ZIP Code 9 and ZIP Code data to extend the coverage up to 100%.

Age75MaleInd

varchar(1)

Indicates the presence of males aged 75 plus in the household. See also 7600 adult age ranges 100%, which uses models and ZIP Code 9 and ZIP Code data to extend the coverage up to 100%.

Age75FeMaleInd

varchar(1)

Indicates the presence of females aged 75 plus in the household. See also 7600 adult age ranges 100%, which uses models and ZIP Code 9 and ZIP Code data to extend the coverage up to 100%.

Age75UnknownGenderInd

varchar(1)

Indicates the presence of people of unknown gender aged 75 plus in the household. See also 7600 adult age ranges 100%, which uses models and ZIP Code 9 and ZIP Code data to extend the coverage up to 100%.

YoungAdultinHouseholdInd

varchar(1)

Indicates that there is a young adult in the household where another adult is identified as the 1st individual. (Young adult is ages 18 to 25.)

GenerationsInHouseholdCount

varchar(1)

Indicates the number of family generations in a household.

SeniorAdultInHouseholdInd

varchar(1)

If in the household there is a person over age 55 and a person over age 25, and there is at least 18 years difference between them, then turn on ‘senior in household’.

HomeLengthofResidenceCode

varchar(2)

Indicates the years a household has lived at their address. The length of residence can apply to renters as well as homeowners.

CensusMedianHomeValue

varchar(5)

The median home value of specified owner-occupied housing units (in hundreds of us dollars).

CensusMedianHouseholdIncome

varchar(5)

Census median household income

DwellingTypeCode

varchar(1)

Indicates if more than one family lives at a particular address.

AdvantageDwellingTypeInd

varchar(1)

Internal Data Will replace when data is found and explained

HomeYearBuiltCode

varchar(1)

[...]
